#
# Mercenaries Mod
# By: The Lopez
# MercenaryNameUtils
# 

from CvPythonExtensions import *

import CvUtil
import sys
import PyHelpers
import math

import pickle

################# SD-UTILITY-PACK ###################
import SdToolKit
sdEcho         = SdToolKit.sdEcho
sdModInit      = SdToolKit.sdModInit
sdModLoad      = SdToolKit.sdModLoad
sdModSave      = SdToolKit.sdModSave
sdEntityInit   = SdToolKit.sdEntityInit
sdEntityExists = SdToolKit.sdEntityExists
sdGetVal       = SdToolKit.sdGetVal
sdSetVal       = SdToolKit.sdSetVal

gc = CyGlobalContext()	

# The following two lists: mercenaryFirstNames and mercenaryLastNames was generated using a app called NameMage.
# NameMage
# Version 1.02
# www.mapmage.com
# The really long list of first names.
mercenaryFirstNames = ["Aalich","Aauwyr","Abadric","Abae","Abayth","Abeasean","Abeawin","Abeawyth","Aberi","Abilawin","Aboaseth","Abuch","Abuld","Acadan","Acarennor","Acarenwan","Acaresh","Acedon","Acela","Acendalath","Aceriwan","Aciannon","Acienn","Acilath","Aciold","Acoibaen","Acoretha","Acorev","Acy","Adaesh","Adaletrem","Adaof","Adeadfrid","Adendaloth","Adilitram","Adiramma","Adoewin","Adoreld","Adorevudd","Adorewyr","Adralemas","Adralid","Adraliwyr","Adraretram","Adrerild","Adriamar","Adrigo","Adrigom","Adroetrem","Adroewin","Adroinyth","Adwaebaen","Adwalegord","Adwaowin","Adwardomar","Adwareran","Adweacon","Adweawyth","Adwilinnor","Adwiredric","Adwoinwan","Aelalgrin","Aelanwan","Aeri","Afaesean","Afaol","Afe","Afeiw","Afera","Aferatlan","Afigowyr","Afinn","Afyli","Agraletrem","Agrardon","Agray","Agraywyr","Agreal","Agrerramond","Agried","Agrili","Agriowan","Agrirach","Agrirelin","Agriretha","Agroinidd","Agrymond","Aianidd","Aililath","Airaron","Alaebard","Alaennor","Alalimos","Alaocred","Alareth","Alilamar","Aloewin","Aloictred","Alylath","Alytlan","Aoann","Aoredric","Aosean","Aralinn","Aralinwan","Araomma","Arealgrin","Areder","Areractred","Arianyth","Arigonnor","Ariramond","Arirap","Aroanydd","Aroretha","Asalebaen","Asalewan","Asaubwyn","Asealin","Aselald","Aseli","Asiaron","Asienydd","Asioctred","Asiomond","Asirat","Asirawyth","Asoedan","Astalelgrin","Astalidric","Astaog","Astaymos","Astayran","Asteath","Astelat","Astelilin","Asteliv","Astiamar","Astirebwyn","Asytlan","Auth","Bardomond","Be","Beder","Belaldric","Belav","Belildan","Benda","Bilig","Boaw","Boedus","Boibaen","Boredric","Bralew","Braowyr","Bredus","Breildric","Breird","Breiwyr","Breli","Brelildric","Brelip","Breliran","Broeand","Broreldan","Cadaeseth","Cadalecon","Cadan","Cadauw","Cadean","Cadendamond","Cader","Cadera","Caderra","Cadierd","Cadilavudd","Cadionnon","Cadoedan","Cadoel","Cadoi","Cadorenad","Caeld","Caemos","Caeron","Caledus","Calis","Caloth","Cao","Caomas","Carewin","Caybaen","Caywyr","Ceaand","Ceav","Celabwyn","Celan","Celatlan","Celavudd","Celican","Celicon","Cendawyr","Cerilin","Chaleldric","Chalic","Chao","Chayd","Chealgrin","Chera","Cheratram","Cheriwan","Cherra","Cherraldan","Chew","Chigomar","Chinad","Chiomma","Chirali","Chop","Ci","Cie","Cietha","Cigogord","Cigowan","Cilig","Cilinn","Ciliv","Cio","Cioth","Ciraf","Cirelgrin","Cireloth","Ciwin","Coa","Coav","Coinad","Crales","Cralinidd","Crelilith","Creravudd","Crerracred","Cria","Crirebard","Crirevudd","Cro","Croanwan","Croeld","Croetram","Culdric","Cyloth","Cyr","Cyseth","Daenad","Daleli","Dali","Daligan","Daret","Deaf","Deamma","Deiwyn","Delawyn","Dendard","Dendatha","Deram","Diaa","Diet","Dilav","Doannor","Doelith","Doew","Drag","Drale","Dralimma","Dralith","Draogan","Draonnor","Dreiand","Dreratha","Dresh","Drev","Driadric","Drib","Driregan","Driw","Drocon","Druseth","Duw","Duwyn","Dwaw","Dwerali","Dwianyth","Dwiaw","Dwiodan","Dwiotlan","Dwoebwyn","Dwoenwan","Dwytram","Edalider","Edaylith","Edeath","Edelidric","Edenda","Ederinwan","Ediectred","Edigoth","Edildan","Ediotram","Ediramma","Edoebwyn","Edoeld","Edy","Edynnon","Elalit","Elardod","Elaynydd","Elea","Eleabaen","Eleild","Eleladus","Eleramas","Elerir","Eliannor","Eligoldan","Elios","Eliracon","Elorelgrin","Eluch","Eludus","Ely","Eowaemos","Eowaew","Eowardonydd","Eowarenydd","Eowaubard","Eowenad","Eowerinyth","Eowerrat","Eowieldric","Eowiemma","Eowilimas","Eowirald","Eowirawyn","Eowiwyr","Eowoith","Eowuc","Eowudon","Eowydfrid","Eowynn","Eradon","Eramond","Eraotha","Eraynnor","Ereanidd","Ereasean","Ererracred","Erewyth","Erigomar","Erilitrem","Erirann","Eriref","Eroali","Eroil","Eroitrem","Erosean","Etae","Ethaodan","Ethardob","Ethaydan","Etheaw","Etheawyth","Ethelicon","Ethie","Ethiecan","Ethios","Ethoamar","Etilgrin","Etirewin","Etoret","Faenydd","Faremas","Felimos","Fem","Fendar","Figowyn","Filiwyn","Fiotha","Firamos","Firannor","Foemas","Frare","Frawyn","Freinnon","Frerrabard","Frerrannon","Frilam","Friredfrid","Froewyr","Frowyr","Frydus","Fumma","Galalinn","Galardo","Galardobard","Galardoctred","Galeadric","Galeannon","Galerald","Galilanydd","Galilap","Galild","Galiowin","Galiralith","Galo","Galoegord","Galylath","Ge","Gelitram","Genn","Gera","Geradon","Gie","Gie","Giem","Glaewyr","Glalevudd","Glawyr","Glea","Glealoth","Gleliv","Gleramas","Gleriwin","Gliawin","Glinnon","Glioa","Glioli","Gliran","Glird","Gliregan","Gloremma","Glorewyn","Grardomos","Grayc","Graydfrid","Gredric","Grelictred","Grelidfrid","Grelinnor","Grendatlan","Greralath","Grialdan","Griw","Grog","Groilath","Grorech","Grorenidd","Grytram","Gwaemond","Gwaewan","Gweitram","Gweliwin","Gwenda","Gwigonn","Gwililgrin","Gwoennon","Gwydaew","Gwydalend","Gwydardord","Gwydeadan","Gwydelivudd","Gwydeliwyr","Gwyderraseth","Gwydieloth","Gwydiland","Gwydilitlan","Gwydiliwyr","Gwydoec","Gwydore","Gwydorem","Gwydyseth","Gywyn","Haa","Haaenwan","Haalebwyn","Haaonad","Haardoch","Haare","Haarecon","Haath","Haeabaen","Haelann","Haeraldric","Haerictred","Haerracon","Hailader","Hailar","Hairagord","Hairamar","Haith","Hale","Haoaloth","Haoaran","Haoeder","Harecan","Hay","Hayand","Haydan","Heric","Heridus","Herind","Hiecan","Hirawyn","Hoagan","Ibaegord","Ibardomas","Ibea","Ibeiv","Ibelabaen","Ibelith","Ibire","Ibiredus","Iboard","Iboiwin","Ibosh","Ibubard","Ibunidd","Jeraef","Jeraonwan","Jerardocan","Jerardoder","Jerare","Jerareder","Jerayder","Jerayloth","Jererrap","Jeriratrem","Jeriwyr","Jeroebard","Jerunydd","Kaaledfrid","Kaalewin","Kaalit","Kaarew","Kaayli","Kaeannon","Kaeilgrin","Kaeinad","Kaeli","Kaendaron","Kaeraldric","Kaerip","Kai","Kaie","Kailactred","Kalilith","Kaolath","Kauld","Kedaenad","Kedalev","Kedaoch","Kedaold","Kedauld","Kede","Kederagan","Kederrad","Kedilab","Kedilabwyn","Kediraldric","Kediralith","Kediratlan","Kedith","Kedoesh","Kedoicred","Kedon","Kedore","Kelith","Kerilath","Kerrald","Kiragan","Koregan","Kytha","Laep","Lalemma","Lalinydd","Laraeld","Laraletha","Laraoldric","Lararenydd","Laraudric","Lardomma","Lareli","Laremar","Larerrac","Larerradon","Larigowyn","Lariratrem","Laubard","Leat","Legalitlan","Legealoth","Legeawyn","Legelimos","Legeraand","Legigogan","Legilanyth","Legoitlan","Legorecan","Leguand","Lelaldan","Leli","Lerin","Liab","Lier","Loetrem","Loibaen","Lorebard","Lothali","Lothardocred","Lothareran","Lotharetrem","Lotheald","Lotheind","Lothendamar","Lothendawin","Lothiader","Lothigosean","Lothoadfrid","Lothoremond","Man","Maotrem","Mardomas","Mauch","Maut","Meam","Meath","Melard","Merasean","Merili","Merrawyr","Mewin","Mianidd","Miraedric","Miralelath","Miralimos","Mirawan","Mirayv","Mireactred","Mireann","Mireath","Mireawyth","Mirelaldric","Mireloth","Mirerish","Mirianyth","Mirilich","Mirirawin","Miroimas","Mivudd","Moildric","Naelin","Nale","Nardo","Naunydd","Neand","Neraseth","Niaron","Niewyn","Nila","Nilaf","Nilawyr","Nilildric","Nio","Noican","Noilith","Nydaliloth","Nydalis","Nydaynyth","Nydeamma","Nydeawin","Nydelanydd","Nyderibwyn","Nyderra","Nydia","Nydilad","Nydira","Nydo","Nydoard","Nydorevudd","Nyth","Nyvudd","Oca","Ocaolath","Ociradric","Ocoacon","Ocoig","Ocoish","Ocoiwyr","Olaennon","Olaer","Olalinydd","Olarelgrin","Olauwyr","Oleadric","Olealith","Olelird","Oleralin","Oligocred","Olilath","Onalath","Onaodric","Onelath","Onenwan","Oniannon","Onimond","Onirad","Oniraf","Oniratrem","Onirenad","Onoaldric","Onoea","Paennor","Pali","Palider","Pardold","Paredric","Peawin","Peican","Pilidan","Piol","Poali","Praeldric","Prale","Praotrem","Prauctred","Prea","Prerrald","Prigomos","Prilav","Prilawyn","Prili","Proadan","Proar","Proewyr","Pryvudd","Puctred","Raaemma","Raalemma","Raaylin","Raea","Raia","Railibaen","Ralenydd","Raoawyn","Raoenad","Reimos","Rend","Rendaa","Reramond","Rha","Rhaef","Rhaenwan","Rhaenydd","Rhaerd","Rhaewyth","Rhard","Rharend","Rharetha","Rhelawyth","Rhendaf","Rheraldan","Rherigan","Rhidus","Rhigoldric","Rhilildric","Rhio","Rhira","Rhirabaen","Rhirac","Rhiradan","Rhiradfrid","Rhirewin","Rhoetlan","Rhubard","Rhusean","Rhys","Rimas","Rirath","Rire","Rire","Rot","Saetha","Saligord","Salir","Saoldan","Saylgrin","Seanad","Seitlan","Selidus","Selilith","Seragan","Sevalenwan","Sevaotram","Sevaowyn","Sevardod","Sevaref","Seveach","Sevelatlan","Sevelawyth","Seven","Severabwyn","Severranidd","Seviotrem","Seviregord","Seviremond","Sevyldric","Sevys","Silanidd","Sinnon","Sior","Sira","Sirabard","Siratram","Sirawin","Sireld","Skadfrid","Skalibard","Skalinydd","Skardo","Skeasean","Skelar","Skelit","Skeramos","Skeriseth","Skerrali","Skilacan","Skio","Skirecon","Skoetram","Skybaen","Skyd","Soreb","Soredric","Tadan","Tael","Te","Tedon","Tela","Terald","Teraron","Thae","Thaegord","Thaemas","Thaleseth","Thalewan","Thaliand","Thalibaen","Thalir","Thanyth","Thauch","Thayldric","Theacred","Theal","Thealith","Thei","Thelalith","Theli","Thelip","Thendasean","Thilird","Thiliwyn","Thiold","Thirabaen","Thiret","Thirewyn","Thoe","Thoewin","Thoind","Thoredfrid","Thudfrid","Tili","Tinnor","Tiren","Toewyn","Toild","Traend","Trao","Traog","Trareg","Traremos","Traugan","Treas","Treisean","Trigow","Trigowyth","Trira","Troav","Troewyn","Vaeld","Valemma","Valig","Vaovudd","Vaytha","Veawyn","Veiwyn","Velilgrin","Velimas","Vemma","Vennor","Verawin","Verraand","Verratlan","Viab","Viabaen","Viremond","Voreron","Vuld","Waledric","Waomar","Waus","Wautrem","Wegord","Weig","Welamar","Welid","Werivudd","Werradfrid","Wiatrem","Wicare","Wicauwyn","Wiceawin","Wiceawin","Wicelat","Wicera","Wiceractred","Wiceri","Wici","Wicimos","Wicoa","Wicoilith","Wicuth","Wilacred","Wilildric","Wilinnon","Wind","Wirer","Wiresean","Woanidd","Woann","Woe","Woeloth","Woetrem","Woildan","Wuwyr","Wyli","Yaemond","Yalictred","Yaotha","Yardonidd","Yardovudd","Yays","Ybaemar","Ybarerd","Ybauctred","Ybauwyr","Ybearon","Ybecred","Ybeidon","Ybeli","Ybendaa","Yberaron","Ybia","Ybiat","Ybienydd","Ybilalath","Ybilinnon","Yboaw","Ybolgrin","Ybya","Yeald","Yeas","Yelagord","Yeradon","Yiadus","Yio","Yiodus","Yoctred","Yoider","Yulith","Zaretram","Zayc","Zeid","Zeiw","Zeraron","Ziaand","Ziamond","Zie","Zinad","Zinn","Zireth","Zoaloth","Zoinad","Aalegan","Aaoldan","Aayth","Ababwyn","Abaedfrid","Abareloth","Abarewyr","Abauron","Abawan","Abaycan","Abendatha","Aberiw","Abiratrem","Abire","Aboilgrin","Abyn","Acaes","Acarelith","Acarewyn","Acauli","Aciliwyn","Adaowin","Adayn","Adealgrin","Aderider","Aderimond","Adet","Adielith","Adigonwan","Adira","Adoar","Adodus","Adoedfrid","Adoinwan","Adoiwyn","Adorebard","Adraliwin","Adrarenydd","Adrelinnon","Adreliwyr","Adricon","Adrios","Adriradon","Adrirebaen","Adroa","Adroatram","Adrold","Adwaemar","Adwaoth","Adwar","Adwarebard","Adwau","Adweald","Adweamas","Adwela","Adwerralith","Adwiabaen","Adwiliwyth","Adwiold","Adwiracan","Adwoimond","Aelib","Aelild","Aendard","Aerimar","Aerrabaen","Aewan","Afaeran","Afalic","Afauwyn","Afenidd","Aferradon","Aferrath","Afie","Afiewan","Afiliwyn","Afiowin","Afirald","Afireldan","Afoemar","Agraedan","Agralewyr","Agralican","Agraosean","Agrardos","Agrardowin","Agreimma","Agreitha","Agrendaldan","Agrera","Agreragan","Agrigog","Agriracon","Agriramar","Agroam","Agroenwan","Agror","Aiewin","Ailiw","Airewyr","Alaliwyth","Alaomond","Alardonnon","Alarew","Alath","Alaycon","Alaym","Alelaron","Alendabard","Alilard","Alorenydd","Alowyn","Aoar","Araewyn","Arardotlan","Areann","Arigodric","Ariowyn","Aroa","Aroewin","Aronad","Arutrem","Asaleldan","Asaseth","Aseactred","Aseicred","Asendamos","Aserav","Asiemas","Asiev","Asiewin","Asoeseth","Astaer","Astaesh","Astaynidd","Astea","Astela","Astendaw","Astig","Astilit","Astiolath","Astiranydd","Astirawyr","Astiremma","Astitrem","Astoagan","Astoend","Astow","Asyron","Ayctred","Balemar","Balend","Baudus","Baugan","Beabaen","Beird","Belader","Belawyr","Bendawyn","Biawyn","Bied","Bionnon","Birali","Birewyn","Birewyth","Boanwan","Brali","Braobwyn","Brardomma","Brauth","Brauwin","Breilath","Brerraloth","Brider","Briomond","Briraand","Brirabwyn","Broedfrid","Brumma","Bryran","Cadalenad","Cadaur","Cadeab","Cadia","Cadiar","Cadilap","Cadilip","Cadiotrem","Cadiretram","Cadoan","Caegord","Caer","Cale","Calenyth","Caold","Caonnor","Caonyth","Caoron","Cardogord","Cardolgrin","Caydfrid","Cayli","Caysean","Ceamond","Cech","Ceith","Celaldric","Celild","Celild","Celinyth","Ceranad","Ceriv","Chaleld","Chalider","Chauldric","Chaywyr","Chenyth","Chiet","Chif","Chulath","Chuld","Ciali","Ciann","Ciewyth","Cigolgrin","Cilin","Cilin","Cilisean","Cilitlan","Coadfrid","Coag","Coish","Cores","Craon","Crarewyn","Craua","Craup","Creand","Crearan","Creath","Crebaen","Crendabard","Criladan","Crilamond","Crilanidd","Crilawyr","Crilir","Crirali","Crirann","Crirennon","Criretlan","Crirewyn","Croia","Cromos","Cry","Daebwyn","Daetha","Daleb","Darea","Dendactred","Dendawin","Digolith","Dinnor","Dira","Diradon","Diralgrin","Diramma","Dirawyn","Doaw","Draewyr","Dre","Dreamos","Drelamas","Drelin","Drendawin","Dreraa","Drerracred","Drilig","Driragord","Droalith","Droamar","Droisean","Drorelin","Duldric","Dwaemar","Dwalinnor","Dwalish","Dwardoder","Dwat","Dwealdan","Dweliron","Dwilildric","Dwoimas","Dworenyth","Dwudon","Dwuron","Dwymar","Dwymos","Edaemas","Edaenwan","Edalenad","Edardotram","Edardowan","Edarennor","Edarenydd","Ederaloth","Ederrath","Edinyth","Ediradric","Edoat","Edodan","Edoeldric","Edore","Edyg","Elaenad","Elalinnon","Elaretlan","Elau","Elaumar","Elauwyr","Eleanad","Eleavudd","Eleavudd","Elelic","Elelicon","Eli","Elin","Elioder","Elirabard","Elirer","Eloasean","Eloawyth","Elucan","Elyand","Elylgrin","Eowalimma","Eowalir","Eowardoder","Eoweabard","Eoweagord","Eowigold","Eowigos","Eowigotram","Eowoatrem","Eowynyth","Erae","Erae","Eraewan","Erales","Erardodric","Erarew","Ereath","Ereiwyr","Eroev","Erumos","Erysh","Etalilith","Etea","Etealath","Eteamar","Eteladric","Etendand","Eterralgrin","Ethali","Ethalimma","Ethardot","Ethardowin","Ethaudfrid","Ethendann","Etherraldric","Ethiamma","Ethiavudd","Ethigodon","Ethilimas","Ethire","Etiecan","Etielin","Etigo","Etirard","Etoat","Etoe","Etoith","Faeldric","Faeldric","Faeli","Fauron","Fauth","Fayctred","Feisean","Felidan","Fendacon","Fendactred","Fia","Fierd","Firaran","Firash","Fore","Fraegord","Fraeth","Frald","Frardomar","Frardowyn","Frarea","Frau","Freab","Freiwin","Frelibard","Friebwyn","Friewyn","Frigocan","Friralgrin","Frirawyn","Friwyn","Frorew","Frovudd","Fyc","Galali","Galaliwan","Galaobaen","Galaumas","Galelat","Galelawyth","Galilamar","Galith","Galoatram","Galolgrin","Galotrem","Galuldric","Galynnon","Gaonnor","Gausean","Gayran","Gea","Geald","Geic","Gelalith","Gelan","Gelawyth","Gendasean","Geriwyn","Gerrar","Ges","Giaran","Gilib","Giliran","Giralath","Glalel","Glaolgrin","Glaremar","Glaron","Glayb","Gleald","Gleinn","Glerradfrid","Glirel","Glireli","Gloan","Globwyn","Gloedric","Gloretha","Glytram","Gobwyn","Graeloth","Grardold","Grare","Graretram","Graylgrin","Grayr","Grendaron","Grietram","Grigo","Griocon","Grioth","Groreron","Gubard","Guder","Gunydd","Gwalith","Gwao","Gwareron","Gwealin","Gweannor","Gweat","Gwer","Gwerimos","Gwet","Gwiedan","Gwirewyn","Gworebwyn","Gwydardobard","Gwydardoran","Gwydaumos","Gwydeigord","Gwydeimas","Gwydeliron","Gwydilatram","Gwydoadric","Gwydoer","Gwydorenidd","Gwydurd","Haaowyr","Haaretrem","Haendar","Haerawyth","Haerramma","Haew","Haigov","Haiogan","Haoadon","Haodric","Haolith","Haud","Helacon","Helatha","Heliwin","Hennon","Heran","Hig","Hiladan","Hoar","Hoe","Hybard","Ibae","Ibaerd","Ibalimas","Ibaobard","Ibaold","Ibaond","Ibarerd","Ibaudric","Ibauvudd","Iberatlan","Iberiwin","Ibetlan","Ibield","Iborennon","Ibosh","Ibuldric","Ibunnor","Jera","Jeraetlan","Jerendaw","Jereranyth","Jererrabard","Jererrath","Jeria","Jeroand","Jeroregan","Kaalidus","Kaalinwan","Kaaotha","Kaeliloth","Kaes","Kaia","Kaiabwyn","Kaie","Kaigobard","Kailab","Kailas","Kailia","Kalerd","Kaoawyn","Kares","Keabwyn","Keanyth","Kedaeb","Kedaennor","Kedalend","Kedaor","Kedardosean","Kedaredan","Kedeand","Kedeavudd","Kedeig","Kedelagan","Kedeliwyn","Kedidan","Kerractred","Kerrald","Kewyr","Ki","Kialgrin","Kigowin","Kiow","Kirebwyn","Kirerd","Koa","Koibwyn","Kore","Kycon","Kyron","Laech","Laes","Larardon","Larerilath","Larerimma","Larerraldan","Laretram","Lari","Lariald","Larilaldan","Larilican","Lariraa","Laroab","Lauf","Laug","Leagan","Leas","Legabaen","Legaecred","Legaesean","Legalath","Legauldric","Legayb","Legelash","Legeradon","Legeriloth","Legerracon","Legerrannor","Legildric","Legioloth","Legirard","Legirawin","Legirawin","Legoetha","Legoreloth","Leli","Lelib","Lerannor","Lerranidd","Lilach","Lirew","Lothaer","Lothalild","Lotharec","Lothaydus","Lothenda","Lotherranidd","Lothidfrid","Lothigord","Lothiladfrid","Lothira","Lothoadfrid","Lothuwan","Maemos","Maenydd","Mayand","Mayp","Melitha","Mia","Miawyr","Miewan","Migotha","Miovudd","Miraectred","Miraledan","Miraliwyth","Mirardoand","Mirea","Mireildric","Mirelitram","Mirendamond","Mireral","Mirerradric","Mirigodric","Mirigogord","Miriowyn","Miriras","Mirirawin","Miriv","Miroaron","Miroemar","Miroider","Moar","Moi","Moredric","Na","Naowyn","Nardoa","Nas","Nawyn","Naynyth","Nendader","Neralin","Newin","Nigonyth","Noreand","Nowyr","Nydaem","Nydaup","Nydeatrem","Nydeavudd","Nydeawin","Nydendad","Nyderir","Nyderrabard","Nydiamar","Nydiawyr","Nydigon","Nydiosh","Nydiradfrid","Nydiratlan","Nydore","Nydu","Nydunydd","Nydus","Ocaeth","Ocaewan","Ocalinidd","Ocelitram","Ocerabaen","Ocerra","Ociader","Ocield","Ocigomar","Ocilavudd","Ociocan","Ociomas","Ocireloth","Ococ","Ocoiwan","Ocoremas","Olaewin","Olald","Olardo","Olasean","Olawan","Olelaand","Olelamas","Olenda","Olielith","Olievudd","Oliewyn","Olililith","Olira","Oliram","Olirav","Olireloth","Onaeld","Onaliwyn","Onautha","Onaytlan","Onaywin","Oneath","Onigodon","Oniremma","Onirewyn","Onoebwyn","Onoewan","Onud","Onunnon","Paowyth","Pau","Pean","Peanwan","Pelisean","Piavudd","Pilalith","Pionad","Pirabaen","Pirawin","Pralimma","Prardovudd","Praunwan","Praydan","Preagan","Prendap","Prerrannor","Prerratlan","Priamond","Prianydd","Priawyr","Prilatlan","Proep","Prorennor","Prorer","Prumma","Puran","Raadan","Raaunad","Raeld","Raelidric","Raeseth","Raiader","Raieand","Raio","Raionidd","Rairagan","Raoadfrid","Rauldric","Rauth","Rerind","Reriw","Rhag","Rhalewyn","Rhaowyr","Rhardow","Rhayld","Rheawyn","Rheip","Rherawin","Rherildan","Rhiaran","Rhira","Rhoavudd","Rhoawyr","Rhuld","Rhuwin","Riawan","Rigoseth","Rilawyth","Riomma","Rirabwyn","Roregord","Saonyth","Seladus","Selannon","Selgrin","Serictred","Sevae","Sevenda","Severamos","Severas","Sevibwyn","Sevilidfrid","Sevioa","Sevub","Sevuld","Siawyr","Sief","Silawan","Sirann","Skaoldric","Skardold","Skare","Skareran","Skeadan","Skeradon","Skerinn","Skeriwyr","Skiach","Skiec","Skigodon","Skilac","Skilimar","Skilind","Skiomond","Skirand","Skireseth","Skuldan","Skynnor","Skynnor","Soatrem","Soeron","Soimar","Soimma","Synnon","Tareld","Tarer","Tela","Tendactred","Teridan","Thale","Thalimar","Thalinnor","Thardonn","Theidfrid","Them","Theraldric","Therd","Theritlan","Therrar","Thia","Thireloth","Thireloth","Thirennon","Thoiseth","Thoiseth","Thu","Tia","Tilas","Tire","Toat","Toawyn","Toew","Toi","Toic","Toron","Traebaen","Traecan","Tralenydd","Tralind","Trareron","Treanydd","Trelach","Treladus","Trelatha","Trendacon","Trendadon","Treraran","Trerrawan","Triawyn","Trimar","Triranwan","Truld","Tunydd","Tut","Vae","Vaef","Vaenwan","Vaog","Vath","Vaygord","Vayldric","Veann","Veat","Veip","Verild","Vilinnon","Vuli","Vydfrid","Waecred","Waecred","Waeloth","Waeseth","Walebaen","Walil","Warelgrin","Wayth","Wayth","Weadric","Weid","Weiran","Welatha","Wendanydd","Wendas","Weradon","Weranad","Werird","Werramar","Werran","Werrannon","Wetrem","Wewan","Wicae","Wicaemos","Wicalic","Wiceath","Wicialdric","Wicilaldric","Wicionnon","Wicoibard","Wicoreth","Wigomos","Wio","Wiop","Wira","Wiras","Wirawyr","Wiredus","Woadfrid","Woash","Wocan","Wuld","Wuwan","Yalimas","Yardoran","Yareder","Yaremond","Yauch","Yaunad","Yay","Yban","Ybardowyr","Ybaunyth","Ybeash","Ybeliran","Ybendalgrin","Yberildan","Yberratha","Ybilawyth","Ybiregan","Yboanyth","Yboevudd","Yboin","Yeacred","Yeaseth","Yeiran","Yetha","Yinn","Yoannon","Yoenidd","Zaetram","Zardo","Zaudon","Zeawan","Zelidon","Zerith","Zorew","Aadus","Aaebard","Aalesean","Aaytha","Abalenyth","Abamar","Abardoloth","Abeadan","Abeawyth","Abeladan","Abendab","Aberradus","Abiath","Abieli","Abienad","Abigor","Abilimma","Abiliwyr","Abiratlan","Aboed","Abond","Aborelin","Abu","Acaedus","Acaletram","Acaliloth","Aceactred","Aceadan","Aceadon","Acelatram","Aceldric","Acenydd","Acerish","Acerra","Aciramar","Aciran","Acoeldan","Acorectred","Acored","Acuch","Acumma","Adaef","Adaemar","Adaer","Adaw","Adeiran","Aderralgrin","Adiawin","Adind","Adiretram","Adraleseth","Adreli","Adrilibard","Adriranidd","Adroa","Adroali","Adroiwyn","Adrorenydd","Adwaerd","Adwaeron","Adwalet","Adwaligord","Adwalitram","Adwaocred","Adwardoa","Adwardod","Adwardosean","Adweabwyn","Adweia","Adwenda","Adwerath","Adwioldric","Adwiowyth","Adwiralith","Adwiref","Adwirend","Adworelin","Adwynidd","Aeidfrid","Aeild","Aelalath","Aelavudd","Aendaloth","Aerrann","Afalennor","Afardo","Afardowyr","Afatram","Afauran","Afay","Afeap","Afeatlan","Afebard","Afeidus","Afeliand","Aferash","Aferradan","Afienn","Afieth","Afyr","Agraedric","Agrardop","Agraytlan","Agream","Agrec","Agredan","Agrelaa","Agrerrag","Agrilabwyn","Agroelith","Aimma","Airanad","Alalith","Alei","Alelidus","Aleliw","Alendav","Aleri","Alilaseth","Alildan","Aliotha","Aliraseth","Alirat","Alyth","Aoildan","Araem","Araeth","Araetram","Aralebaen","Aralibwyn","Arealin","Areidfrid","Arelaa","Arendam","Areri","Ariadfrid","Arilalath","Arilich","Arios","Arirash","Ariraw","Aroa","Aroewyr","Aroremond","Asauldric","Asei","Aseitlan","Aselitlan","Aselivudd","Asendagord","Asialgrin","Asicred","Asilard","Astaeloth","Astaenad","Astalecon","Astalidon","Astardodon","Astaretha","Astaunad","Asterich","Asterigan","Astirader","Astiran","Aua","Auch","Bardo","Barenwan","Barenydd","Beinnon","Belamos","Belilin","Belinwan","Benda","Bendash","Berrasean","Bianyth","Bigo","Bigomas","Bila","Biredan","Bireseth","Boa","Boremas","Boreth","Braucan","Brecred","Brelagan","Brendash","Brerawyr","Briralith","Briranydd","Buli","Bunn","Cactred","Cadaea","Cadalegan","Cadalith","Cadalitrem","Cadaumos","Cadaygord","Cadeat","Cadegord","Caderimar","Cadiawyth","Cadiotha","Cadirenidd","Cadoa","Caemar","Caemar","Cale","Caliand","Caliron","Cardoc","Caremas","Cayld","Cayp","Cayth","Cei","Cei","Ceidfrid","Celamma","Celatrem","Celimma","Cendard","Ceric","Cerracred","Chardodon","Charer","Cheald","Cheanydd","Cheawin","Cheldan","Chelimar","Chelip","Cherip","Cherrann","Chilawin","Chirawyn","Choa","Cie","Cigodfrid","Ciladon","Cilidan","Cirad","Cire","Ciwyn","Coamos","Coicon","Coiron","Coreg","Coreldan","Craegan","Crardoli","Crelam","Crelilith","Crerinad","Crerivudd","Cri","Crianwan","Crieand","Crilath","Criratha","Critram","Crum","Crunad","Crush","Cycred","Daeldric","Daledric","Dalenwan","Dardoth","Dea","Deap","Delacred","Delilith","Dendaa","Dendaf","Deranwan","Dian","Dilawin","Dili","Diranydd","Draeb","Draretram","Draugan","Drela","Drendawan","Dreran","Dreri","Driadfrid","Driomas","Drior","Driwan","Droamas","Dwabaen","Dwaedus","Dwaoli","Dweanyth","Dwedon","Dwelilith","Dwi","Dwilir","Dwirawan","Dwoesh","Dwoish","Edaewin","Edaldan","Edare","Edeap","Edelasean","Edendath","Ederrawyr","Edieder","Edienydd","Edioldric","Edirennor","Editha","Edoali","Edonad","Edubard","Edyand","Elaeb","Elaocan","Eleavudd","Elerildan","Eliemos","Eloitrem","Elysean","Eowaod","Eowardog","Eowaua","Eoweanyth","Eoweri","Eoweridfrid","Eoweriv","Eowif","Eowilactred","Eowilaseth","Eowili","Eowilis","Eowiowyn","Eowiratrem","Eowuth","Eraeron","Eralican","Erardonn","Erauc","Ererawan","Erigodus","Erilidan","Eriraa","Eroa","Etaerd","Etagord","Eteat","Etendat","Ethardodon","Ethea","Ethendatrem","Etherap","Ethilanad","Ethiland","Ethom","Ethorenad","Ethywyn","Etoann","Etoetrem","Etu","Etya","Etywyr","Faeth","Falewyr","Faold","Faumond","Faunydd","Ferith","Firamas","Firesean","Foabwyn","Fodric","Fraomond","Frard","Frayl","Fraylgrin","Fraytha","Freamond","Freand","Frerath","Friragan","Froilith","Frorea","Galaedric","Galalider","Galalir","Galalisean","Galea","Galeadus","Galenda","Galendald","Galerash","Galeratrem","Gali","Galireloth","Galoaand","Galoctred","Galoiwin","Galywyn","Gao","Garenn","Gaycan","Gaych","Gieth","Gigowin","Glamma","Glaot","Glaw","Glawyr","Glaytram","Gliand","Glilidon","Glilif","Glirecred","Gloenidd","Goresh","Gralend","Greagord","Grendap","Grerif","Grienyth","Griodan","Grirewyn","Groar","Groerd","Gryv","Gwadan","Gwaem","Gwalewyr","Gwayp","Gwelas","Gwendannon","Gwendasean","Gwerradfrid","Gwieli","Gwilash","Gwilin","Gwiomar","Gwiraand","Gwydabwyn","Gwydaeldan","Gwydardo","Gwydarennor","Gwydau","Gwydaylath","Gwydendaldan","Gwydia","Gwydiennor","Gwydiovudd","Gwydiraloth","Gwydiras","Gwydireli","Gwydoildan","Gwydoreldan","Gwydy","Gytlan","Haeann","Haendawyr","Haidan","Haionidd","Hairabwyn","Halimond","Haodan","Haoel","Haom","Hauth","Heanidd","Heath","Heilath","Hibard","Hidan","Hief","Ibaudfrid","Ibavudd","Ibayth","Ibea","Ibeamma","Ibeawyr","Iberi","Iberra","Ibilamas","Ibiond","Jeraemma","Jeraleloth","Jerauseth","Jeraygan","Jereader","Jerelacon","Jerelagan","Jereribaen","Jeriamas","Jerigoc","Jerilamas","Jerioldan","Jerire","Jeriseth","Jeroreand","Kaalimma","Kaarerd","Kae","Kae","Kaeidus","Kaeseth","Kaewyth","Kaidan","Kaiecred","Kaiosean","Kaira","Kali","Kaoic","Kaosean","Karedus","Kaynidd","Kea","Kedaetrem","Kedareld","Kedareldric","Kedarelgrin","Kedead","Kedearon","Kedeawyn","Kedeigan","Kedeith","Kedendatrem","Kedendawyth","Kedieron","Kedieth","Kedigonyth","Kedilanidd","Kediramar","Kedowyth","Kedym","Kedynnon","Kelaand","Kendabaen","Kendadan","Kendamar","Kendanad","Kerivudd","Kiland","Kiloth","Kiramma","Lald","Lalid","Lanad","Larea","Lareanwan","Larearon","Laremas","Larendalith","Larendamas","Lareramma","Larerimond","Lareriron","Lariv","Laroith","Laroldan","Larored","Lauw","Leadon","Leap","Legalem","Legaowin","Legardon","Legardonnor","Legeild","Legendawyn","Legerann","Legiedon","Legigotha","Legilatlan","Legiord","Legirebard","Legoaran","Legoredfrid","Legorewyn","Leinydd","Leriron","Liea","Lig","Lilidon","Lirelath","Lo","Loach","Loitrem","Loremar","Lothasean","Lothealgrin","Lothearan","Lothectred","Lothelatrem","Lothendad","Lotherinyth","Lothilalgrin","Lothiolath","Lothirenn","Lothoali","Lothomma","Lothorenn","Lur","Luth","Lyg","Malenyth","Malildan","Maos","Maow","Merrar","Mieron","Milili","Miobwyn","Miracred","Mirae","Miraemond","Miralewyth","Mirali","Mirard","Mirarewan","Mirawyth","Mireagan","Mireawyn","Mireawyn","Mireican","Mirerabwyn","Mireraran","Mirerild","Miretha","Mirigoc","Mirilawan","Miriot","Miriragord","Miruran","Mirydfrid","Moea","More","Morel","Naedan","Naemar","Naon","Naydan","Neatlan","Nelawin","Nelith","Nendal","Nerrar","Nerrawyr","Niebard","Nienn","Nirannor","No","Nulgrin","Nus","Nydardomma","Nydaul","Nyday","Nyderatram","Nyderradfrid","Nyderragan","Nydewyn","Nydien","Nydilat","Nydilider","Nydiratram","Nydoldric","Nyductred","Nywan","Ocaemos","Ocaenidd","Ocalin","Ocerath","Ocerrabard","Ocerradon","Ocili","Ocira","Ocirebard","Ocoabaen","Ocoren","Ocoretrem","Ocotha","Olacred","Olaelin","Olaewyn","Olalegord","Olareli","Oleadon","Oleliwyn","Oleritram","Oliabard","Olieand","Oligogan","Oliladon","Olilig","Olilith","Oliralith","Oluth","Onauth","Onayf","Onelard","Onelibaen","Onireb","Onith","Onosh","Paenwan","Paliloth","Paolin","Parenyth","Paumma","Pe","Pea","Pei","Pelilgrin","Perac","Peramar","Peramos","Perrawan","Pieran","Pinydd","Piomos","Pirannor","Piwin","Porenidd","Praer","Pramma","Prao","Preath","Prela","Prendawin","Preramos","Preran","Prerra","Priali","Priep","Prind","Priral","Proia","Proic","Pytlan","Raaldan","Raalimma","Raarenn","Raeinidd","Raeitlan","Raelinn","Raeri","Raerictred","Raerraand","Raili","Raond","Rardotrem","Rardowin","Rarebwyn","Rarep","Rauldric","Raumos","Raunydd","Reib","Renda","Rendalgrin","Reradus","Rerid","Rerrawin","Rhardowyn","Rheamar","Rheanyth","Rhemos","Rhendap","Rhianyth","Rhieldric","Rhif","Rhigowyr","Rictred","Rid","Riebard","Rigo","Rilidric","Riowin","Roemas","Runad","Rywyn","Salimas","Sardo","Saus","Saysh","Saywin","Seldric","Selildan","Serrabard","Sevaunwan","Sevendam","Sevenwan","Severamond","Seviedon","Sevilaran","Seviold","Sevire","Sevoadric","Sevoanad","Sevoegord","Sigosh","Silith","Sirath","Skaewyn","Skareder","Skaunyth","Skeatrem","Skelimar","Skelinyth","Skerit","Skiac","Skieg","Skilild","Skinydd","Skiovudd","Skoem","Skoitram","Soaron","Soitram","Sonydd","Sylath","Tae","Talew","Talibard","Tarenyth","Teiran","Thaeld","Thalecred","Thao","Thaogord","Theanyth","Thegord","Thelalgrin","Thelamos","Therd","Theribard","Therraa","Therrach","Thiadon","Thianydd","Thieloth","Thilatlan","Thilimas","Thoennon","Thoilin","Thymos","Tiaand","Tirectred","Tirem","Tiwyn","Toeld","Toibwyn","Traeron","Traum","Trauwin","Trauwin","Traytram","Trea","Treiwyn","Trendaldan","Trivudd","Trorend","Trutlan","Tuld","Valin","Vaoth","Vaoth","Vardow","Varewyn","Varewyr","Vea","Vealath","Veibard","Vid","Vienwan","Vigomas","Vilann","Voanidd","Vonnor","Voremas","Wae","Wae","Waeand","Waed","Waesean","Wagan","Waletrem","Was","Weaf","Wean","Weasean","Weimas","Weith","Welaw","Weli","Welidan","Weliwin","Wep","Werat","Weth","Wia","Wicadfrid","Wicalebwyn","Wicaow","Wicaowin","Wicardodan","Wicareloth","Wicaresean","Wicash","Wicaytram","Wiceannor","Wicelider","Wicendadus","Wiceracon","Wicerildric","Wiceriwan","Wicerrawan","Wiciawyn","Wicictred","Wicigowan","Wicilabwyn","Wicin","Wicoadric","Wicoreg","Wiemas","Wies","Wiev","Wiolgrin","Wiowyth","Wira","Wiracon","Wiradan","Wiraron","Wirebwyn","Wirectred","Woadon","Worea","Wudan","Wudric","Wuloth","Wy","Wycan","Wyld","Yaectred","Yaeseth","Yaleth","Yardocred","Yaywyr","Ybalif","Ybaold","Ybarecan","Ybea","Ybelas","Ybendacred","Ybiawyth","Ybigoctred","Ybilanyth","Ybilasean","Ybireand","Ybo","Yeand","Yei","Yelavudd","Yeldric","Yerraf","Yiamar","Yiewyn","Yigomma","Yilanwan","Yiowyth","Yiramos","Yiraron","Yirawyr","Yireder","Yoad","Yoeloth","Yorelgrin","Yu","Yusean","Zaev","Zald","Zardodus","Zardoli","Zardom","Zarewin","Zelald","Zelimma","Zewyn","Zilildan","Zirawan","Zoem","Zoilin","Zoremos","Aalidric","Aap","Aaremma","Aaynydd","Abalemma","Abaomond","Abeder","Abeimond","Abeladfrid","Abelimond","Aberim","Abetha","Abinad","Abiraldric","Aboimas","Abowyn","Acaobaen","Acarebaen","Acela","Acelgrin","Acerawyn","Aces","Aciad","Aciatram","Aciedus","Acier","Acigoth","Aciram","Acird","Acuwyn","Adalitha","Adaumas","Adaywin","Adaywyth","Adeitha","Aderralith","Adigowyn","Adilidan","Adiod","Adiradan","Adoacon","Adoeli","Adorer","Adralennon","Adrare","Adreanyth","Adreash","Adrech","Adrerach","Adrila","Adrilim","Adrilir","Adrirawyr","Adroit","Adrom","Adrores","Adwali","Adwalid","Adwalivudd","Adwalivudd","Adwaunydd","Adwec","Adwetha","Adwiamond","Adwira","Adwiracon","Adwirelin","Adwoild","Adworetrem","Adygan","Aeabwyn","Aebard","Aelacred","Aenda","Afaewan","Afaodon","Afardoli","Afardomond","Afaunyth","Afeadan","Afendadan","Aferratram","Afiebard","Afieth","Afigowan","Afilibard","Afilidfrid","Afoif","Afoip","Agraewyth","Agralewyth","Agraregan","Agraudon","Agraynnon","Agreab","Agrelanad","Agreritlan","Agreriwyn","Agrienad","Agrilanad","Agro","Agroreld","Aidric","Ainydd","Airab","Aired","Alaeth","Alalebwyn","Alalev","Alarewyn","Alecan","Alelanyth","Alendat","Alied","Aligosean","Aligosean","Alilamas","Alilaran","Aloaf","Alore","Alytram","Arae","Araeseth","Areicon","Arendaldric","Arewin","Ariald","Arigomond","Arinnon","Arirenad","Asali","Asaoch","Asaoctred","Asaunad","Asilin","Asoal","Asoemma","Asoitrem","Asorewin","Astaew","Astalith","Asteadus","Asteanydd","Asterrard","Astield","Astigonnor","Astiratram","Astirer","Astoamas","Astoawin","Astoeand","Astorenidd","Ayran","Ba","Baecred","Baubaen","Be","Belalith","Belif","Beliwin","Beridus","Bilal","Bilider","Birabwyn","Biredus","Birelath","Bore","Borelin","Botlan","Braemma","Brale","Brardol","Brardot","Braytha","Brerrac","Brerratlan","Brilawyr","Briramas","Briramos","Briranyth","Buwyth","Cadaenyth","Cadarewyn","Cadaubaen","Cadaumas","Cadaunn","Cadaymas","Cadayron","Cadeadfrid","Caderradan","Cadfrid","Cadidric","Cadyg","Caea","Caelith","Caeron","Caetrem","Caled","Cali","Caogord","Cardoctred","Caurd","Caut","Cay","Ceabaen","Ceal","Ceawyr","Ceder","Ceid","Ceigord","Cendabwyn","Cendag","Cendaseth","Cera","Ceravudd","Ceriron","Cerit","Cerra","Cerragord","Chaecred","Chaeli","Chaund","Chautha","Chayth","Chea","Chearon","Chictred","Chidfrid","Chigonnor","Chiowyr","Chirec","Choren","Chyt","Cic","Ciebard","Ciech","Cigod","Cilach","Ciladfrid","Ciogord","Ciotha","Cip","Cirath","Ciretlan","Coader","Codfrid","Coimas","Cowyth","Crare","Craua","Craysean","Creatram","Crei","Creiand","Crelinyth","Crelis","Crendath","Criab","Criamas","Criovudd","Criradon","Criratrem","Criredus","Cro","Croannor","Cryc","Cug","Cuw","Daewyth","Dale","Deawyn","Dera","Dielin","Dieloth","Dievudd","Dilar","Dirabwyn","Diratha","Doe","Draleder","Draliv","Dreawyn","Dreib","Dreitlan","Drelatha","Dreranyth","Driracan","Drirath","Driratha","Drire","Droemond","Droredan","Drorenwan","Drurd","Duwyr","Dwaemar","Dwaen","Dwaep","Dwaogan","Dwardonnon","Dwarewyr","Dwaulath","Dweawyr","Dweicred","Dwelawyr","Dwerradus","Dwerramond","Dwerran","Dwilaa","Dwilabaen","Dwiom","Dwioth","Dwira","Dydfrid","Edardomma","Edarelgrin","Ederraa","Edesh","Edionyth","Edirab","Edoawan","Edoi","Elaedfrid","Eleramas","Elicred","Elilalin","Elili","Eloawyn","Eluth","Eowalitlan","Eoweannon","Eowelican","Eowerravudd","Eowiawyr","Eowigonnon","Eowoanyth","Eraedan","Eraeron","Ereinn","Ereriwyr","Erionidd","Eroinad","Etalewyn","Eteawan","Eteawin","Etendawyth","Etenydd","Eterigan","Eterind","Ethae","Ethaeli","Ethaemond","Ethaeth","Ethalennon","Ethardodric","Ethaudon","Ethaudus","Etherawin","Ethiennor","Ethienyth","Ethila","Ethioth","Ethirach","Ethirannon","Ethod","Ethoiseth","Ethoivudd","Ethylin","Etibard","Etie","Etigon","Etoith","Etoiwyn","Etoreth","Etovudd","Etuc","Faeldan","Faemond","Falelin","Fardogord","Fauwyth","Faygord","Felatha","Felider","Feracan","Ferraloth","Figoth","Filach","Fililin","Fird","Fireth","Foaf","Fraenn","Fralitlan","Frarenydd","Freadfrid","Freatrem","Freramos","Frerrald","Friov","Friwin","Froalin","Froebard","Froild","Froit","Frorem","Froremma","Frytrem","Galaret","Galeat","Galelalgrin","Galeliwyth","Galendalath","Galetha","Galic","Galican","Galiractred","Galiravudd","Galoa","Gan","Garelgrin","Gaunyth","Geribwyn","Gerrawyn","Gias","Gietram","Gio","Glalevudd","Glaoloth","Glecon","Glelamos","Glelim","Glericon","Gleridric","Gliral","Gliraldric","Glirath","Gloimond","Gloiron","Glund","Goit","Gre","Greican","Grelav","Grila","Grilitram","Grosh","Guctred","Gwaeldric","Gwaeloth","Gwaleb","Gwaut","Gwelicred","Gwelicred","Gweloth","Gwilath","Gwilican","Gwiocon","Gwiral","Gwydaleron","Gwydardoder","Gwydauseth","Gwydeird","Gwydelath","Gwydendamond","Gwydigocon","Gwydilalath","Gwydiowyth","Gwydiracred","Gwydoawyr","Gwydoiwyr","Gwydum","Gwyl","Haaleldan","Haaom","Haarelith","Haaunad","Habard","Haeigord","Haelalin","Haelil","Haendadan","Haendaron","Haerracan","Haigoth","Hailacan","Haiowyr","Halinidd","Haomar","Hardowan","Harecred","Hautrem","Haya","Haywyth","Heacred","Hendaw","Herit","Hier","Hirald","Hiralin","Hoaand","Ibaleldric","Ibali","Ibau","Ibaulith","Ibaytha","Ibean","Ibelalin","Ibelawyr","Ibilaa","Ibilannor","Ibili","Ibiobwyn","Ibiradfrid","Ibiran","Iboadric","Iboannon","Iboiw","Jeraewyth","Jeraliwin","Jeraseth","Jereald","Jereatha","Jerelab","Jerelib","Jererag","Jereraron","Jererrawin","Jeriann","Jerieron","Jeriewin","Jerigowyn","Jerilibard","Jeroann","Kaaeb","Kaaymas","Kaeactred","Kaeagord","Kaelash","Kaelin","Kailidus","Kairannon","Kairevudd","Kali","Kaoewin","Kaoron","Kaylgrin","Kea","Kedareli","Kedayc","Kedayli","Kedeald","Kedelald","Kedelip","Kederamas","Kederrald","Kedietram","Kedilimond","Kedilith","Kedioli","Kedoider","Kedoreand","Keduth","Keiwyr","Keraldan","Keridric","Kiewyr","Kiewyr","Kilawin","Kililoth","Kirabard","Kiredan","Kiredric","Korev","Kua","Laledric","Laraemos","Laraubard","Laraugord","Laray","Laream","Larerictred","Lareseth","Larieb","Larigodric","Larigomond","Larirach","Larirawin","Laroawin","Latrem","Leap","Legare","Legarennon","Legaucon","Legeac","Legeadon","Legeagan","Legelar","Legiend","Legigowin","Legilaw","Legirenad","Legocred","Legoiwan","Legov","Leguwyth","Legyth","Lendawyn","Lerasean","Lerraseth","Liaseth","Lilann","Lireb","Locon","Loilin","Lotha","Lotha","Lothae","Lothau","Lotheinidd","Lotherasean","Lotheria","Lotheridus","Lothiedus","Lothoand","Lothonnor","Lothuc","Maerd","Malath","Malennon","Meidus","Melat","Melavudd","Melild","Miraemos","Miranad","Mirare","Mirareldric","Miraret","Miraush","Mire","Mirea","Mireg","Mireicred","Mirendach","Mirerracred","Mirisean","Miroili","Miroiwyr","Mirorelath","Mirug","Mis","Moinyth","Mynad","Natram","Naunn","Nea","Neilith","Niedfrid","Nilald","Nydaedon","Nydalecred","Nydalimar","Nydardoa","Nydardov","Nydarenad","Nydaumas","Nydeicred","Nydeip","Nydeit","Nydelinidd","Nydier","Nydigogord","Nydilactred","Nydilard","Nydiloth","Nydiratrem","Nydireldric","Nydoecan","Nydop","Ocae","Ocae","Ocanad","Ocardo","Ocardomma","Ocareldric","Ocas","Ocaulath","Ocenda","Oceran","Ocerraloth","Oceth","Ocigoder","Ocilild","Ociraloth","Ocoe","Ocoelith","Ocomma","Ocoredric","Ocumond","Ocyloth","Ocymma","Olaem","Olaemos","Olanyth","Oleash","Oleith","Olendac","Olerilgrin","Olili","Oliratrem","Oloa","Oloand","Olydric","Onagan","Onaret","Onel","Oneli","Onerinydd","Oniliw","Onionydd","Oniracon","Onoin","Onore","Palewyn","Pardoli","Paymas","Paysh","Piald","Pief","Piramma","Piw","Pobard","Praewin","Pralea","Prardonad","Praremos","Prau","Prelannon","Prerrabaen","Pri","Prief","Prilinad","Priliwin","Prira","Proer","Proreron","Pryli","Pulgrin","Puron","Puwin","Raaenyth","Raalidon","Raawin","Racred","Raeragan","Raiawyn","Railitrem","Raiotram","Raira","Raleron","Raw","Rayr","Reith","Rendadan","Rhaebard","Rharen","Rharetrem","Rhayran","Rheali","Rheraa","Rherath","Rherinnor","Rherith","Rhieloth","Rhigov","Rhira","Rhiraldric","Rhire","Rhoictred","Rhud","Rhycon","Riranidd","Roab","Roann","Roanwan","Saenidd","Saevudd","Salenad","Salivudd","Saod","Sar","Sardor","Sarewyn","Saywin","Selacon","Sevardoder","Sevarewin","Sevaywyr","Seveawin","Sevebwyn","Seveit","Seveiwan","Sevendald","Severrach","Sevich","Sevie","Seviratlan","Sevireand","Sevoawyn","Sevoennon","Sevoreron","Sevucred","Sevup","Sevyand","Siladfrid","Skaeg","Skarelith","Skaud","Skeanydd","Skeliwyn","Skig","Skilildric","Skioldric","Skirach","Skiwin","Skoicon","Skoiwyn","Sky","Soic","Tactred","Tadus","Taevudd","Talewyn","Tardoldan","Taunad","Teildric","Teilith","Teimas","Teitrem","Tendaloth","Terabaen","Teraloth","Thaed","Thardoch","Thareloth","Tharewyr","Thauseth","Thaydfrid","Theabwyn","Theach","Thedfrid","Thei","Thel","Thelilith","Thendanwan","Therrawyr","Thies","Thigobaen","Thio","Thira","Thoecred","Thoild","Thorep","Tirannon","Toedon","Toeldan","Trae","Traeld","Traenn","Traler","Trali","Traoa","Trardo","Trarenydd","Trelacon","Troewyn","Trore","Trowin","Tryand","Tua","Tybard","Tymas","Vaenn","Vaes","Vaetram","Vanad","Vaudan","Vaumond","Veand","Vef","Veiwyr","Velin","Verrard","Viap","Vietrem","Viracon","Viraf","Viranyth","Vireron","Voenn","Vorep","Wali","Waosean","Waybard","Waymond","Weadan","Weag","Weibard","Weip","Weli","Welilath","Wendabaen","Weriloth","Werra","Werrawin","Wetha","Wewin","Wicae","Wicaelath","Wicautlan","Wiceamma","Wiceitha","Wiceiv","Wicelamos","Wiceligord","Wicerican","Wicerinn","Wicietha","Wicigoran","Wiciralath","Wicoatha","Wicoid","Wicoth","Wigond","Wiod","Wira","Wira","Wirawin","Woalgrin","Woeder","Woemar","Woitha","Womma","Wunnor","Wuwyth","Wynn","Wysh","Yalenydd","Yalewyr","Yalildric","Yanydd","Yaund","Yawan","Ybaennor","Ybaes","Ybaev","Ybeim","Yberalith","Yberib","Yberip","Ybiraldric","Ybirelin","Yboir","Yboith","Ybomma","Yborelath","Ybuc","Ye","Yeab","Yeald","Yealdan","Yelatlan","Yerin","Yerrath","Yianad","Yiend","Yieth","Yigonnon","Yilawan","Yiretlan","Yoaldric","Yoith","Yotlan","Zaef","Zaemond","Zaub","Zauli","Zed","Zendalath","Zeral","Zeri","Zerra","Zilawin","Zilican","Ziowin","Ziremar","Zorerd","Zynn","Etaegord","Grilar","Lothendawyn","Yauf"]

# The really long list of middle names.
mercenaryMiddleNames = ["Aadfrid","Aaemar","Aaenn","Aalimos","Aaold","Aardocan","Aare","Abaomond","Abardodfrid","Abardoron","Aberic","Abigowyth","Abilich","Abiraloth","Abirawyth","Aboevudd","Aboigord","Aboreg","Acadus","Acaecon","Acaesean","Acaeseth","Acaetrem","Acarebwyn","Aceri","Acerit","Acilan","Acioseth","Acirawyn","Acirec","Acoalgrin","Acorenidd","Acuwin","Adaebaen","Adaelgrin","Adaetram","Adalidan","Adaos","Adaov","Adardonidd","Adei","Adeiwyn","Adelanad","Adiavudd","Adilaw","Adiradus","Adiranwan","Adoemond","Adoreloth","Adragan","Adrardogord","Adrardomar","Adrath","Adreamar","Adreig","Adrelamos","Adrera","Adrerimma","Adrerivudd","Adriewan","Adrinidd","Adrucon","Adrum","Aduwan","Adwalicon","Adweacred","Adweactred","Adweinnor","Adwelawyr","Adwienidd","Adwigogord","Adwilaw","Adwilawin","Adwilildan","Adwoenwan","Aelib","Aelim","Aeribwyn","Afacon","Afae","Afaecan","Afalennon","Afaocred","Afared","Afeawyr","Afeland","Afendath","Afialath","Afiliron","Afiowyr","Afiranyth","Afireder","Afirenwan","Afodon","Afoet","Agramar","Agraretlan","Agrelannon","Agrirasean","Agroath","Agroesh","Agroip","Agrore","Aiemos","Aiomma","Alaletram","Alaotram","Alarenyth","Alaudfrid","Aliald","Aliatlan","Aliracred","Alirewyn","Alomond","Alorel","Aoanydd","Aoar","Araemma","Araligord","Araliwan","Arendal","Ariagan","Ariatram","Arilabwyn","Arilit","Arirabard","Ariracred","Ariradfrid","Arirat","Aroinydd","Aroldan","Aroregord","Arorep","Asaetlan","Asaod","Asaum","Asaurd","Aselali","Aseli","Aselictred","Aseraseth","Asigoc","Asilatram","Asilich","Asilin","Asiraseth","Asiseth","Aso","Astaeg","Astaulgrin","Astea","Astea","Astei","Asteictred","Astelawyr","Astelinydd","Asteragan","Asterann","Asteri","Asterimond","Asterinydd","Astilat","Astilawyn","Astiodon","Astoli","Asubaen","Au","Aunnor","Bauwan","Belad","Belawin","Bendamma","Bendanwan","Berib","Berrann","Berratrem","Bigord","Bilidric","Braedus","Braennor","Bralewin","Bralinad","Braynnon","Brelalath","Briagord","Brilidfrid","Brilird","Brirawyn","Broeb","Broish","Brulith","Cadae","Cadaoldric","Cadau","Cadioseth","Cadiraand","Cadireldric","Cadoald","Cadoeth","Cadon","Caecan","Caewin","Cali","Caliwan","Caonn","Caonn","Cardo","Cardoli","Cat","Catha","Caurd","Cauwin","Cay","Caybwyn","Caynnor","Cear","Ceidric","Celawin","Celider","Celinydd","Cenda","Cendadan","Cerap","Cerasean","Ceridfrid","Ceritram","Cerrawyn","Chaelath","Chaes","Chaewyr","Chalemos","Chalibaen","Chardogan","Chardonidd","Chaydon","Cheath","Cheatha","Cheriseth","Chil","Chilannon","Chilis","Chiomond","Chired","Choac","Choew","Chorev","Chyctred","Chyw","Ciald","Ciat","Ciavudd","Cievudd","Ciewin","Cigob","Cigolath","Cila","Cilia","Cilird","Cio","Ciobard","Ciradon","Ciratrem","Cireron","Coelgrin","Coicon","Coind","Cois","Con","Corelin","Craef","Crannor","Craumond","Crayld","Creaf","Creath","Creravudd","Crerit","Crievudd","Criolin","Cro","Croadon","Croew","Cubard","Cyran","Daen","Daevudd","Daler","Daobaen","Dennor","Derralith","Diard","Diewyr","Digowan","Dilamma","Dira","Doremond","Drae","Drebaen","Drelaron","Drelith","Drigonwan","Drililin","Drilin","Drireseth","Droican","Drorerd","Dwaes","Dwaold","Dwaregan","Dweawyth","Dweinidd","Dwerrach","Dwiebwyn","Dwiowin","Dwoimma","Dwoit","Dworew","Edaes","Edaliloth","Edaretram","Edelicon","Edilican","Edirald","Edoelgrin","Edoewin","Edoiwyn","Edytrem","Elaectred","Elalerd","Elaogord","Elaugord","Elayn","Eleald","Eleicon","Elelildric","Elenda","Elieder","Eligon","Elilia","Elirabard","Eliratram","Elireran","Eloiwin","Elygan","Eowaegord","Eowaemas","Eowaesh","Eowalidon","Eowardolin","Eowardoran","Eowarend","Eowaynn","Eowecan","Eoweith","Eowelann","Eowia","Eowilili","Eowilind","Eowiretram","Eowoebwyn","Eowoin","Ereagan","Erelac","Erendactred","Erendadan","Ereramond","Ereril","Erigoder","Erilannor","Eriwyn","Erowin","Etalip","Etaubwyn","Etaymond","Etayth","Etelider","Eteligan","Eterimma","Ethaelgrin","Ethaowyr","Ethaum","Ethauth","Etheiwan","Ethilidfrid","Ethilinyth","Ethiraron","Ethireran","Ethirev","Ethoawin","Ethold","Ethonidd","Ethoreldan","Etiamos","Etiew","Etigowin","Etila","Etio","Etiom","Etirach","Etoib","Etynyth","Faetlan","Falenyth","Fath","Feanidd","Fearon","Feiv","Feriwyn","Ferrabwyn","Ferrand","Fianidd","Figotha","Fiodan","Fraomos","Frarennor","Freann","Freawan","Frei","Freitrem","Frerildan","Frerran","Fribwyn","Frira","Friracred","Frirec","Froiwyr","Frorend","Frynnor","Fryr","Fut","Gaeseth","Galeind","Galeliwyth","Galendamos","Galeridfrid","Galiawyth","Galieder","Galiladan","Galilath","Galiliv","Galiremar","Galoerd","Gare","Geaseth","Gelid","Geradfrid","Gerawyn","Gia","Gilgrin","Glaeld","Glaoa","Glareder","Gleratlan","Gliand","Gligov","Glilidus","Glirar","Gloasean","Gloedfrid","Glytha","Goalin","Goecred","Gore","Gralewyth","Graobaen","Graysean","Grearon","Greip","Greron","Griew","Grigowyr","Griocred","Groacan","Groish","Gruli","Gunwan","Gwach","Gwaesh","Gwalidric","Gwarennon","Gwelilith","Gwelin","Gwerath","Gwiewin","Gwigoran","Gwilash","Gwiratrem","Gwoawan","Gwut","Gwydarelgrin","Gwydaub","Gwydaum","Gwydaund","Gwydeawyn","Gwyderrach","Gwyderrannor","Gwydevudd","Gwydewan","Gwydiredus","Gwydoalin","Gwydoewyr","Gwydond","Gwydybwyn","Haaa","Haaoctred","Haaof","Haelach","Haeloth","Haemas","Haionn","Haire","Haoi","Harec","Haregord","Haywyth","Heand","Heder","Hew","Hilamond","Hiran","Hiraw","Hoac","Hoe","Hoeth","Hyvudd","Ibaedus","Ibalectred","Ibalith","Ibareldric","Ibaubaen","Ibaugan","Ibeatrem","Ibeladon","Ibeladric","Iberacon","Iberiw","Ibiatram","Ibilactred","Ibilasean","Ibiodus","Ibiranwan","Ibiretha","Iboe","Iboiwan","Iburan","Jeraewyr","Jerale","Jeralel","Jeralim","Jeraonad","Jereactred","Jerear","Jerelawin","Jerelicred","Jerelidus","Jerelitlan","Jeria","Jerilawyn","Jeriliwyn","Jerirader","Jerirep","Jeroamma","Jeroeand","Jerolgrin","Kaaesean","Kaaowyr","Kaaudric","Kaaunnor","Kae","Kaeag","Kaeimas","Kaelasean","Kaeld","Kaelimma","Kaendav","Kaerrag","Kaialdan","Kaield","Kaigoloth","Kainnor","Kaivudd","Kaoerd","Kaoiwyr","Kayth","Kedaenidd","Kedalicred","Kedare","Kedauw","Kedawyr","Kedeam","Kedeamond","Kedeamos","Kederabard","Kederimas","Kedi","Kedigod","Kedilin","Kediliwyth","Kedionyth","Kediow","Kelac","Kendabard","Kerraran","Kirath","Kirawyn","Koa","Koecon","Larae","Laraowyr","Larardor","Lareacred","Laredan","Larelaw","Lariralgrin","Lea","Leath","Legaev","Legalef","Legalewan","Legalimond","Legar","Legardonidd","Legeadfrid","Legeis","Legeliw","Legerra","Legerrath","Legieand","Legiemond","Legiomos","Legoiseth","Legot","Legyth","Legywin","Leidon","Leit","Lelac","Leladric","Lelinydd","Lendasean","Lennor","Lerranad","Loem","Lothaotrem","Lothardodric","Lothaulgrin","Lotheamar","Lothendard","Lotherras","Lothiat","Lothigo","Lothilawyn","Lothoaldan","Lothoivudd","Lothorem","Lothyr","Luch","Maedan","Malenad","Mardonidd","Maynyth","Maytha","Melili","Meraa","Mericon","Milap","Miradan","Miraolith","Miraonwan","Mirayb","Mireawyr","Mireic","Mireitrem","Mirelilgrin","Mirendatha","Mirendatlan","Mirerir","Mireriwan","Mirielin","Miriocan","Mirioron","Miroab","Miroan","Mirolath","Moremar","Nae","Naemond","Naotlan","Nelatha","Nerrat","Niald","Nigob","Niladfrid","Niosh","Nubaen","Nydaedan","Nydaem","Nydaen","Nydaoseth","Nydareron","Nydaua","Nyday","Nydeiv","Nydelac","Nydendadon","Nydendag","Nyderawin","Nyderildric","Nyderrat","Nydiecon","Nydigoth","Nydiold","Nydoesh","Nydubaen","Ocaeldan","Ocalili","Ocardow","Ocaycon","Oceamond","Oceib","Ociamas","Ocigog","Ociregord","Ocirelath","Ocirerd","Ocoinidd","Olaup","Olendash","Oleran","Oliannor","Oligog","Oligowan","Oliramma","Oliratha","Oloaw","Oloenidd","Olonnon","Oluctred","Onaecon","Onayseth","Oneli","Onili","Oniond","Oniragan","Oniratrem","Onoiseth","Ononyth","Onyt","Paleron","Palilith","Palimos","Palinnon","Pannon","Pe","Peamos","Peand","Peatram","Peawin","Pegord","Peish","Piamond","Pie","Piectred","Piliron","Pobaen","Praef","Praew","Prei","Prerral","Prilidfrid","Pryld","Raaog","Raeamar","Raeamas","Raelam","Raeliseth","Raeracon","Raeras","Raeriwyr","Raerraseth","Raialoth","Raietrem","Raigos","Rairemas","Ralig","Rand","Raoatha","Raoiwan","Raos","Relagord","Relal","Rhaom","Rhaomma","Rhardomas","Rharend","Rhaur","Rhay","Rheanwan","Rheif","Rhelidon","Rhilith","Riev","Rilac","Rilider","Riowyr","Rirawyth","Roa","Roildric","Sae","Saewyr","Saewyth","Sayt","Seildan","Seir","Sela","Sevae","Sevale","Sevalebaen","Sevaledon","Sevaow","Sevardoa","Sevaudus","Sevay","Sevelicon","Sevilimos","Sevirar","Sevoal","Sevoican","Si","Siracan","Siralath","Skaesean","Skeracon","Skerannor","Skinwan","Skioch","Skiravudd","Soawyn","Soecan","Soeldric","Soidric","Sunnon","Sush","Tash","Tayb","Teim","Telawin","Terrawin","Tewyn","Thaemar","Thaet","Thaylath","Thaymma","Thea","Thea","Theagord","Thiebaen","Thiedan","Thirash","Thoi","Thoredric","Thoron","Thotlan","Thulith","Thygord","Thywyn","Tilabwyn","Tiladfrid","Tiotlan","Todon","Toinad","Toinnon","Toish","Towyth","Traemos","Trao","Traucred","Trawyn","Trealdan","Trerrali","Triatha","Triegord","Trigoldan","Trila","Trilanad","Trilib","Trilidan","Trilinwan","Triogord","Trirabwyn","Troea","Troiwyn","Va","Vaegan","Vaow","Vardolath","Veictred","Velamos","Velanwan","Vendaf","Vider","Vigop","Vild","Voibwyn","Vum","Waew","Walennon","Walevudd","Wardof","Wardold","Waubaen","Wauwyn","Waynnon","Wayseth","Weacan","Wealdric","Weiloth","Weim","Weliand","Weliwin","Wia","Wiagan","Wiamond","Wicae","Wicaewyr","Wicald","Wicalen","Wicalinnor","Wicas","Wicautha","Wicaynd","Wiceic","Wiceigord","Wicelird","Wiceliwyn","Wiceran","Wiciawan","Wicilit","Wicof","Wiemar","Wigold","Wilinad","Wira","Woedon","Woiwyn","Won","Worech","Wotha","Wuloth","Wycon","Yal","Yald","Yamma","Yardowyr","Yarewyn","Yba","Ybaewyth","Ybayld","Ybeavudd","Ybendamos","Yberas","Yberiran","Ybigold","Ybilavudd","Ybilibard","Ybilif","Ybira","Ybiraw","Yboamma","Year","Yeladus","Yeligord","Yerard","Yerimos","Yesh","Yewyn","Yiracan","Yirash","Yirebaen","Yirewyn","Yiw","Yoal","Yoalgrin","Yob","Zaech","Zarech","Zareder","Ze","Zelanydd","Zemar","Zendawyn","Zerranwan","Ziof","Zirebaen","Zoewin","Zoia","Zoinyth","Zu","Zumas","Aawin","Aayt","Abaeb","Abalildric","Abareseth","Abaydric","Abeand","Abeawyr","Abelinyth","Aberadan","Abeth","Abiegord","Abilish","Acarewin","Acayd","Aceanad","Acelabaen","Aceli","Aci","Acietrem","Acilat","Aciov","Acoatram","Acoesh","Adaedric","Adaemma","Adaleron","Adaliwyn","Adaonnor","Adauwyth","Adaymma","Adeawan","Adigom","Ado","Adoevudd","Adralibard","Adraocred","Adraonyth","Adreribwyn","Adrerrawin","Adridon","Adrigocan","Adriomond","Adriowyn","Adrira","Adroi","Adroreld","Adrowan","Adrowyn","Adwardodus","Adwaunad","Adwelimond","Adwerilgrin","Adwigog","Adwoild","Adwuwyn","Aeitrem","Aelalin","Aerimma","Aetrem","Afaevudd","Afalelith","Afaoc","Afardolath","Afareldric","Afelamas","Afendanydd","Aferrath","Aferratha","Afilali","Afocon","Aforech","Agreatrem","Agreractred","Agrerralith","Agrilimond","Agroecan","Agroerd","Agronwan","Agroremma","Agrumas","Agrynwan","Aiab","Aig","Alaremas","Alegord","Alenda","Alendath","Aleramas","Alor","Aluloth","Aoawin","Arae","Araliwan","Arareseth","Araynad","Areidfrid","Areidric","Areild","Areind","Ariotlan","Arirea","Aroannon","Asaectred","Asaeth","Asalibard","Asaosean","Asareth","Asaya","Aseac","Asenda","Aseseth","Asi","Asilider","Asiomma","Asira","Asiratha","Asiratrem","Asoiwyr","Asoreand","Astalich","Astaliw","Astaord","Astealgrin","Asteicred","Astigotrem","Astiotram","Astiracon","Astiratlan","Astiremar","Asyran","Ayg","Bardob","Beaa","Beadus","Bei","Biawyr","Bilaloth","Biland","Biobard","Birawin","Birebard","Boren","Bralem","Brardom","Braybard","Braytram","Brendatha","Brilimma","Brioldan","Brirewin","Broasean","Broemond","Brorel","Brylith","Bub","Cadalewyn","Cadalimond","Cadareand","Cadauder","Cadauwyr","Cadeider","Cadelad","Cadelind","Caderar","Caderiv","Cadie","Cadilidon","Cadilimos","Cadiowyr","Cadirag","Cadiratram","Cadirennor","Cadit","Cadoasean","Cadorerd","Cadores","Cadybwyn","Cadynyth","Caef","Caetha","Calea","Calebwyn","Can","Caovudd","Cardoc","Cardon","Care","Carelin","Catrem","Caucan","Caycan","Ceacon","Cealoth","Cendaldric","Cendalin","Cendar","Cenwan","Ceramas","Cerra","Chaliwyr","Chardobwyn","Chelaf","Cherranad","Chiegord","Chirannor","Chiremas","Choalith","Choewyth","Chore","Cialith","Cigoand","Cigowyr","Cilannor","Cilasean","Cionnon","Cirewyth","Ciwin","Coannor","Coe","Coeand","Coegord","Coewyn","Coildric","Coitrem","Colgrin","Corecan","Cowyr","Crag","Craynnon","Craynwan","Cre","Creildric","Crerider","Creritlan","Criratram","Crorebard","Croremas","Cud","Daew","Dalidric","Daliran","Dardol","Dardoron","Dare","Darennor","Daymond","Deav","Deliron","Dendanad","Dennon","Deribwyn","Dialath","Digop","Dioron","Diraron","Direwyr","Draen","Dralebwyn","Drardowin","Draywyr","Dri","Drierd","Drilamond","Driog","Drire","Drirewyn","Droetrem","Droiwin","Drucan","Dwaed","Dwaedan","Dwalig","Dwardold","Dwennor","Dwerrath","Dwidon","Dwiliand","Dwiras","Dwiratlan","Dwoev","Dwotram","Dwunnon","Edaewin","Edalev","Edaonad","Edardoloth","Edaud","Edi","Edielath","Edigodon","Edigosean","Edilitrem","Ediobard","Ediremas","Edoewin","Edos","Edunyth","Elae","Elaoctred","Elaonnon","Elauv","Ele","Elea","Elealath","Elelanydd","Elerradric","Elerramos","Elerranyth","Elerrawyn","Elilacan","Elilam","Elilinnon","Elop","Eloreron","Elunidd","Elyrd","Eowalitrem","Eowardoseth","Eowares","Eowaumas","Eowaya","Eowayran","Eoweap","Eoweicon","Eowelabwyn","Eowelanidd","Eowoald","Eowoinydd","Eowyldric","Eraodric","Erareb","Eraudon","Ereatlan","Erief","Erilinnor","Erirard","Erirelgrin","Eroia","Eroiwyth","Eroldric","Erotha","Erunn","Eryseth","Etaetrem","Etaligan","Etardold","Etarep","Etarewyr","Etea","Etend","Eterralith","Ethaywyr","Ethe","Etheann","Ethendal","Etherath","Ethilaldric","Ethiras","Ethirec","Ethoitrem","Ethore","Ethorenydd","Ethurd","Ethuw","Eti","Etira","Etu","Etusean","Etyand","Faleg","Faop","Faumond","Fayli","Feladric","Fendac","Fendar","Ferrath","Ferrawin","Filis","Fio","Fodfrid","Fraletlan","Fraresh","Freabard","Frelinad","Frend","Frerard","Frilam","Frobaen","Froemond","Fyp","Fytram","Gaenwan","Galae","Galaodfrid","Galaonwan","Galare","Galareand","Galeder","Galeld","Galendatlan","Galioa","Galiramos","Galireand","Galoamas","Galoemar","Geit","Geiwyth","Gelilith","Genda","Gerawyn","Gietlan","Gigo","Gilinydd","Giliran","Gireran","Glaedus","Glaeron","Glaleldan","Glawin","Gleatha","Gleawan","Glep","Glerap","Gliranwan","Gloimar","Glorev","Graed","Grardos","Gref","Greigan","Gremos","Grerald","Grerrash","Griech","Grilicred","Grilimos","Griragan","Grirawin","Grirawyn","Grirecon","Groa","Groald","Groidfrid","Groiloth","Groitrem","Gwae","Gwaesean","Gwamar","Gwaosean","Gwaywyn","Gwei","Gwelican","Gwenda","Gwendash","Gwerind","Gwiawyn","Gwiewyn","Gwilam","Gwili","Gwiragord","Gwirann","Gwoawyr","Gwoidus","Gwydaeli","Gwydedfrid","Gwydendat","Gwyderrach","Gwydiatrem","Gwydiowin","Gwydirabaen","Gwydiraron","Gwydirewyr","Gwydoith","Gwydow","Gwydyrd","Haald","Haaleth","Haalilgrin","Haeiwyr","Haenwan","Haireseth","Haleg","Halelin","Halip","Haoadan","Haoan","Haoiran","Haoreldan","Hauld","Hauvudd","Hay","Haytha","Heannon","Helalgrin","Heridan","Herrac","Hiamos","Hiawyn","Hilacon","Hilam","Hilatlan","Hirali","Hiraw","Hirawan","Hire","Hirec","Hoe","Honyth","Horelgrin","Hylath","Iband","Ibaredan","Ibeaseth","Iberatram","Ibialin","Ibibard","Ibieder","Iboiwyn","Ibore","Iborelgrin","Ibyt","Jeraenad","Jeraenwan","Jeraov","Jeredric","Jereimma","Jereitram","Jerilavudd","Jerirav","Jeroader","Jerobard","Jerodan","Jery","Kaalennor","Kaaonidd","Kaardodfrid","Kaaywyth","Kaeawin","Kaerawin","Kaeriand","Kaif","Kaigoli","Kailider","Kaira","Kairaldric","Kalib","Kardonwan","Kauf","Kaumma","Kauwyn","Kea","Keda","Kedae","Kedalecred","Kedarelith","Kedauwan","Kedean","Kedearan","Kedelisean","Kedi","Kedilamas","Kedilannon","Kedirann","Kedirath","Kedoadric","Kedoi","Keil","Kiegan","Kilabard","Kilav","Kydon","Laleld","Lalicon","Laoli","Laraem","Laraewyth","Larale","Laralew","Larardobwyn","Lare","Larendatha","Lareriwyth","Larilac","Larirann","Larorea","Legaesean","Legalisean","Legaoand","Legealith","Legelit","Legendasean","Legerawin","Legiac","Legiactred","Legigoder","Leginn","Legiond","Legirelin","Legorewyn","Lelacon","Lelilgrin","Lerralin","Lialoth","Lienad","Ligoth","Lirann","Lirenad","Loan","Loedric","Loind","Lomma","Lothacan","Lothae","Lothael","Lothaodus","Lothaonad","Lothardocan","Lotharebwyn","Lotheavudd","Lothec","Lotheralin","Lotheraloth","Lothewyth","Lothilali","Lothorech","Lothorewyn","Lothutha","Lowyn","Lymos","Mae","Maenydd","Mardomma","Maydon","Meaa","Meawan","Mendawyth","Miemar","Milidus","Mira","Mirader","Miraecon","Mirawyr","Mirayv","Mireasean","Mirelind","Mireliwan","Mirerild","Mirieb","Miriewin","Mirigo","Mirilavudd","Miriragord","Miroavudd","Miroea","Mirorea","Moibard","Moreg","Munwan","Naecan","Naes","Nalewyr","Nardolin","Nedon","Nelanydd","Nydaebaen","Nydale","Nydaoloth","Nydardowin","Nydarep","Nydaymos","Nydaytlan","Nydeim","Nydelild","Nyderrali","Nydiectred","Nydili","Nydiraloth","Nydirenn","Nydiw","Nydoelath","Nydoig","Nydu","Nydytrem","Ocaelin","Ocaevudd","Ocali","Ocaoran","Ocauw","Oceabard","Ocean","Ocelaa","Ocendagord","Ocerannor","Oceri","Ocerican","Ocerralgrin","Ociom","Ocira","Ocoacon","Ocorennor","Ocynidd","Ola","Olaeld","Olaenad","Olaeron","Olaledan","Olayctred","Oleir","Olela","Olenda","Oliatram","Olicred","Oliech","Oliecred","Oloannor","Oloef","Olold","Onach","Onalia","Onaold","Onaotram","Onauld","Oneand","Onearan","Oneis","Onelannon","Onendanad","Oneribwyn","Onerraa","Onerraldric","Oniedus","Onilamar","Onu","Onudric","Onunidd","Onyr","Onyrd","Paelgrin","Paod","Parebard","Paucon","Payseth","Payth","Paywyn","Pe","Pear","Pendadan","Peraand","Perinad","Perrawan","Pien","Piladan","Piocred","Piragord","Pith","Praectred","Praenyth","Praus","Premos","Prendalin","Priand","Prider","Prig","Proe","Proenn","Prywyth","Puwyn","Pywyn","Raauwyn","Raendawyr","Raendawyth","Raeridfrid","Raira","Ralecon","Raoegord","Raorech","Relap","Relimond","Rerra","Rhaem","Rhaled","Rhanad","Rhau","Rheann","Rheash","Rheiand","Rhein","Rherrader","Rhiab","Rhiach","Rhiliw","Rhiowyn","Rhiram","Rhoemar","Rhumos","Rhyl","Rigowyth","Rilanidd","Rinn","Riobwyn","Rocred","Roitrem","Rub","Rub","Saulath","Selann","Semos","Serimma","Serradfrid","Sevalenydd","Sevaoloth","Sevat","Seveamma","Sevelasean","Sevendash","Severil","Severiwyn","Seviend","Sevienidd","Sevilanwan","Sevireldan","Sevoiwin","Sialdan","Silib","Sirabaen","Sirac","Skaegord","Skauwyn","Skelamos","Sker","Skieloth","Skioldan","Skiron","Skoas","Skoawin","Soawyr","Socon","Sodric","Subaen","Taewin","Taoder","Tardolath","Taretram","Teatlan","Telinad","Thaecon","Thaeldan","Thalin","Thaunydd","Thauron","Thawan","Thaybwyn","Thea","Thendath","Thep","Theron","Therra","Therracred","Thielgrin","Thieth","Thigo","Thigol","Thigold","Thilili","Thimma","Thinyth","Thirewyr","Thiwyth","Thoas","Thoeg","Thoenidd","Thoinydd","Thoremos","Thunnor","Tiralath","Tirash","Toiv","Toredus","Toref","Traemma","Tralec","Trali","Tralig","Trayldan","Trelalgrin","Trelath","Trem","Trendactred","Trerraf","Trider","Trie","Trigogord","Troawyr","Troiran","Trolgrin","Varewyth","Vau","Vaubard","Vay","Vaycan","Veaf","Vela","Verra","Verrasean","Vilard","Vio","Vocred","Vycan","Vymos","Vytram","Waedan","Waeldric","Walild","Waregord","Waym","Wea","Weaw","Weild","Wel","Welanyth","Welit","Weliw","Werictred","Werig","Wevudd","Wicaliwan","Wicarend","Wicaup","Wicayand","Wicaywyn","Wiceidus","Wiceinydd","Wicelanidd","Wicendath","Wicendavudd","Wici","Wiciewyn","Wicoilath","Wicoili","Wicoinad","Wicywyn","Wielath","Wigonad","Wigowyth","Wirabwyn","Wiradan","Wirag","Wiratram","Wiref","Wireron","Wo","Woenydd","Woigan","Worebard","Worel","Worennor","Worevudd","Woseth","Wu","Wulgrin","Wya","Wyran","Yaa","Yaeb","Yaen","Yalia","Ybaoch","Ybared","Ybeavudd","Ybeli","Ybelildan","Yberawyr","Yberratlan","Yberratrem","Ybeseth","Ybiwyr","Yboav","Ybogord","Yboinidd","Yboresean","Yborewin","Yean","Yelidfrid","Yie","Yirand","Yiraseth","Yoald","Yoif","Zares","Zeawyth","Zebaen","Zelagord","Zen","Zendacon","Zira","Zoem","Zoron","Aaeg","Aaeran","Aalit","Aaydfrid","Aaymar","Aayv","Abaydus","Abaywyth","Abeabard","Abio","Abionn","Acalenidd","Acaysean","Ace","Aceanidd","Acelactred","Acelalith","Acet","Acilinyth","Acirelath","Acoiron","Acorevudd","Adawyn","Adeath","Adeladus","Adelith","Adiov","Adoldric","Adorend","Adraes","Adralild","Adrareloth","Adrauld","Adrauloth","Adraunwan","Adreit","Adrelictred","Adrendat","Adreranidd","Adrerinyth","Adres","Adriresean","Adroewyth","Adrygan","Adunn","Adwaletram","Adwalimond","Adwardonnor","Adweidan","Adwelith","Adwerra","Adwerralith","Adwerranyth","Adwoe","Adwoel","Adwoib","Adwosh","Aerrach","Afaedfrid","Afaliwyr","Afaolgrin","Afeabard","Afeld","Afelith","Afemar","Aferiw","Aferiw","Aferiwyn","Afiratrem","Afireld","Afiwin","Afoawin","Agraesean","Agraewan","Agraonydd","Agraredon","Agraresh","Agraudric","Agrawyn","Agraywyth","Agrean","Agreid","Agrelalath","Agreli","Agreratlan","Agrerimos","Agrerrag","Agrerrann","Agriap","Agrigobaen","Agroreran","Agrud","Ailald","Ailanydd","Ailiwyn","Airalin","Airath","Alaelith","Alaewan","Alalea","Alaled","Alalenydd","Alalenydd","Alamas","Alaos","Alerramar","Alerrat","Aliewyn","Alilanyth","Aliliwyth","Aliralath","Aliratrem","Aoaran","Aoec","Aoredon","Aosh","Araegord","Araerd","Aralia","Arardoc","Arare","Araum","Aray","Areadric","Areinn","Arelinyth","Areraloth","Areriwyr","Arerrav","Ari","Ariecred","Arielith","Arigolgrin","Arilac","Arili","Arilig","Arirend","Aroactred","Aroia","Arorech","Aryld","Aryvudd","Asaeran","Asalinyth","Asaliwyn","Asaumar","Asauwin","Asaydan","Asayrd","Asea","Aseav","Aselamma","Aselimma","Asendabwyn","Asendand","Asera","Aserratha","Asoidon","Asoremma","Astaelgrin","Astaeth","Astalemma","Astaredon","Astaydan","Asteitram","Asteradan","Asterald","Astienydd","Astiramond","Astoe","Astoldric","Astudan","Astydan","Ayc","Ba","Bardolath","Bareldan","Baseth","Beiwyth","Berald","Birabard","Bitlan","Bord","Braebwyn","Braennon","Braes","Braewyr","Bralen","Bralind","Braliwan","Braold","Breaw","Breibaen","Breris","Brerrawin","Brerrawyr","Briacon","Brigond","Brilaf","Brilanad","Brilird","Briravudd","Briwyr","Brydan","Butram","Bymma","Bysh","Cadadus","Cadaecan","Cadalectred","Cadalildric","Cadalith","Cadearan","Cadeawyth","Cadeinidd","Cademas","Cadilaa","Cadiowyn","Cadiraloth","Caditha","Cadubwyn","Caedfrid","Caegord","Caesean","Caledfrid","Calelgrin","Calir","Canydd","Cao","Caolgrin","Cardolith","Cardom","Cas","Cauldan","Cauldric","Cayc","Caynidd","Caynydd","Cea","Ceald","Ceatlan","Celdric","Cendabard","Chabwyn","Chae","Chaet","Chaytha","Cheath","Cheria","Chiraloth","Choecred","Choegan","Choreder","Ciadan","Cie","Ciewin","Cigow","Cilannon","Cililith","Ciliwyr","Cimos","Ciolith","Coilin","Craemma","Crawin","Creab","Creadfrid","Creinyth","Crelim","Crerib","Criawin","Criebard","Crigobard","Criratrem","Crirend","Crireth","Crug","Crur","Cynnon","Daemar","Dalidus","Daowyth","Dardomma","Deidus","Delas","Delin","Derabard","Dirad","Dirard","Dirasean","Diratlan","Direth","Doevudd","Draliwyn","Drardowin","Dreacred","Drelider","Drigoder","Drigomos","Driom","Driomos","Droildan","Drorecred","Drosh","Dwaocon","Dwaywyth","Dwelap","Dwelatha","Dwelidon","Dwiand","Dwigo","Dwigo","Dwili","Dwilith","Dwoer","Edalildric","Edardov","Edaygan","Edield","Edigo","Edild","Ediomond","Edioron","Ediranyth","Edy","Edyc","Elalis","Elaoth","Eleabard","Elelich","Elendas","Elerash","Elerinwan","Elerra","Elirad","Eliret","Eloecan","Elold","Elorelith","Eowa","Eowaud","Eowaulin","Eowautrem","Eowea","Eoweach","Eoweamos","Eowearan","Eowendaa","Eranydd","Eraonyth","Eraoth","Erardomar","Erea","Ereith","Erendawyn","Ereranidd","Ererrath","Erigan","Eroic","Eroiwan","Eryc","Eryseth","Etab","Etadus","Etae","Etaliron","Etareldric","Eteran","Ethaeron","Ethaletha","Ethalibard","Ethatram","Ethaunidd","Ethaynnor","Ethea","Etheash","Ethelannon","Ethendaf","Etherrawin","Ethigon","Ethilawyr","Ethilawyr","Ethiwyn","Ethoibard","Ethow","Etiac","Etiamos","Etic","Etigolgrin","Etiratram","Etoald","Etoetlan","Etoibwyn","Etoir","Etyseth","Faem","Faleand","Faliv","Faowyr","Fardoa","Fardowan","Feamond","Felannon","Feridus","Ferraand","Ferralin","Frae","Fralelith","Frardolith","Freacan","Freivudd","Frelip","Frerraran","Friann","Frurd","Gag","Galalew","Galanwan","Galeand","Galeritlan","Galiawin","Galilabaen","Gaog","Gaov","Garetrem","Garetrem","Geamma","Gelannor","Geritha","Gerragan","Gerralin","Gilictred","Giliwyr","Giotlan","Gire","Gireli","Glalitha","Glardoctred","Glareli","Glaul","Gleanad","Gleracan","Gleraw","Glerimas","Glilatlan","Gliowyn","Gloidric","Gloitlan","Glucon","Gly","Graydfrid","Grays","Gre","Grelamma","Grilabaen","Grioli","Griragan","Griras","Griratram","Grith","Gro","Groamma","Groreth","Guder","Gwaudfrid","Gwea","Gweic","Gweilin","Gweland","Gwen","Gwendatrem","Gwias","Gwigobaen","Gwilit","Gwoe","Gwoigord","Gwydaeb","Gwydaennor","Gwydalectred","Gwydeilith","Gwydelader","Gwydelip","Gwydelitha","Gwydigoron","Gwydilaw","Gwydirel","Gwydoann","Gwydoi","Gwyduron","Haaedric","Haaedus","Haaeld","Haand","Haardobaen","Haarech","Haatrem","Haawyr","Haea","Haeabwyn","Haearan","Haeildan","Haelimond","Haialdric","Haiebaen","Haietlan","Hailash","Hainad","Haio","Hairat","Haireth","Haoactred","Haoadfrid","Haoea","Haof","Harenidd","Hauvudd","Hendatrem","Herictred","Higow","Hiladfrid","Hili","Hiralin","Hoad","Hoadus","Hoic","Hoil","Hois","Ibaledric","Ibamas","Ibaocon","Ibardonnon","Ibeawyr","Ibelawyth","Iberidon","Ibi","Ibiadfrid","Ibienn","Ibilasean","Ibiliwyr","Ibiliwyth","Ibirawyth","Iboasean","Iboelin","Ibonn","Iboreb","Ibynn","Ibynn","Ibynwan","Jerauwyn","Jeray","Jereannon","Jereir","Jerelar","Jereramond","Jererin","Jererradon","Jeriabard","Jerirash","Jeriv","Jerymas","Kaaeldric","Kaalilin","Kaaren","Kaaua","Kaealgrin","Kaelib","Kaer","Kaerider","Kaerind","Kaigobwyn","Kaioli","Kaiowyr","Kairadon","Kairanyth","Kaoreand","Kaoreb","Kardod","Kaurd","Keatrem","Kedaedan","Kedaet","Kedardocon","Kedarev","Kedelader","Kedendacon","Kedendalath","Kederar","Kederraf","Kediamos","Kedigo","Kedigosh","Kedirag","Kedoatlan","Keduldric","Ketrem","Kiodfrid","Kivudd","Koam","Lagord","Lalidfrid","Laraewan","Lardold","Lardoli","Larelidric","Lariacon","Larigod","Larigotrem","Laroaseth","Laryt","Lau","Legaligord","Legaomma","Legelac","Legeraf","Legeriwyn","Legiag","Legialgrin","Legich","Legienwan","Legiliwyn","Legirald","Legiramond","Legirannor","Legiremond","Legoennon","Legyg","Lelanidd","Lelawyn","Lendan","Liatlan","Lioldan","Lion","Liowan","Lir","Liraand","Lirabaen","Loebard","Loidan","Loregord","Lothaet","Lothale","Lothardoctred","Lothardot","Lothaydan","Lothela","Lotheliwyth","Lotheralith","Lotheriseth","Lothewyr","Lothiranidd","Lothiratrem","Lothoadfrid","Lothobard","Lothof","Lothorenad","Lothund","Lothywyn","Lulith","Maet","Maudus","Maumar","Maup","Maymar","Maysh","Mela","Melamma","Mendam","Mendanydd","Miat","Migan","Milip","Miraleb","Mirannor","Miraup","Mirea","Mirel","Mirelader","Mirendaran","Mireragord","Mirerragan","Mirialdan","Miriawan","Miricon","Miriliwin","Mirirawin","Mirynydd","Naebard","Naunnor","Naydric","Nelald","Nelibard","Neragan","Nianwan","Nigop","Nirav","Nobwyn","Noewyr","Noibaen","Nord","Nydardog","Nydardoth","Nydeitha","Nydelannor","Nydelawyr","Nyderrach","Nydilaron","Nydioli","Nydoennon","Nydoewin","Ocaewyr","Ocardon","Ocarelith","Ocaymar","Ocea","Oceabwyn","Oceid","Oceidan","Oceridric","Ocerrawyth","Ocidon","Ocilaa","Ocinad","Ocoa","Ocuder","Ocuvudd","Olalewyn","Olalider","Olanydd","Olaoron","Oleadfrid","Olenda","Olerimma","Oliadus","Oliap","Oligold","Olilanad","Oloeth","Oly","Olynd","Onale","Onaoch","Onaycon","Oneach","Oneand","Oneladfrid","Onilasean","Onilawin","Oniraldric","Onoem","Onoinnor","Onorebwyn","Onuwin","Paoc","Pare","Peabard","Pendavudd","Peridus","Perind","Perrat","Piab","Pigodric","Pio","Pionydd","Piram","Piw","Pold","Praedric","Prap","Prar","Prarewin","Prea","Preanyth","Preatram","Preavudd","Prelagan","Prerald","Prerawin","Preriwyr","Prira","Priratrem","Procon","Prorer","Raalea","Raann","Raardoa","Raeawin","Raela","Raeladan","Raerd","Raiebard","Rairab","Raiwin","Raoewin","Raoiand","Raoild","Raowan","Raywan","Redric","Rendacan","Rerra","Resean","Rhamar","Rharemond","Rharennor","Rhay","Rheanyth","Rheild","Rheilin","Rheiseth","Rhelali","Rherraloth","Rhigobard","Rhiland","Rhirelgrin","Rhirelin","Rhoedan","Rigoron","Rirecred","Roewan","Roiwyn","Roreld","Roret","Ru","Ruloth","Saobwyn","Sarerd","Sendadon","Sendard","Seron","Sevaliand","Sevalilith","Sevealgrin","Sevebwyn","Sevilaand","Sevilider","Seviov","Seviracred","Sevoath","Sevodon","Sevyc","Sialin","Sield","Sigolath","Siliron","Siregord","Sirenn","Skaremas","Skeatram","Skelawyn","Skerildan","Skinidd","Skire","Skoebaen","Skoewyr","So","Soadon","Soeld","Soi","Soinn","Sorem","Sy","Tay","Tea","Teliv","Tendalath","Thanyth","Thaor","Thaotlan","Tharet","Thea","Thean","Theasean","Theif","Theinwan","Thelinn","Thenydd","Thera","Theriron","Therraa","Therrar","Thigolith","Thigonyth","Thilinydd","Thioseth","Thoemas","Thoemma","Thoildric","Thuv","Tigoron","Tiradric","Tomond","Traled","Traubaen","Trauld","Trelinnor","Trelip","Trerann","Trerili","Trerraf","Trilanwan","Trilinad","Triranwan","Troaand","Trolith","Va","Vaecred","Vardowyn","Varedon","Veivudd","Veld","Veri","Viatrem","Vilach","Vilaf","Vira","Viracon","Viwyr","Voed","Vores","Waenyth","Waet","Wales","Waonnon","Wardodon","Wareder","Warel","Waumond","Wayth","We","Weabard","Weibard","Wela","Welil","Welith","Werawan","Wia","Wiand","Wicaegord","Wicaleldan","Wicauth","Wiceaf","Wiceasean","Wiced","Wicendabaen","Wicerilgrin","Wicilaron","Wiciod","Wiciwyn","Wicoeloth","Wicoenad","Wicoesh","Wicoet","Wicoibard","Wicorelith","Wicywan","Wiecan","Wilaldric","Wilamas","Wilan","Wilird","Wiliwyr","Wiracan","Wiratha","Wireder","Wocan","Wodus","Womma","Woreg","Wutrem","Wydus","Wygord","Wywyn","Yaewin","Ybalebard","Ybalild","Ybardos","Ybarenad","Ybeawyn","Ybendaseth","Ybiath","Yboanyth","Yboeld","Ybyp","Yeaseth","Yelib","Yendawyr","Yigoldric","Yoadus","Yynydd","Zare","Zaycred","Zaywin","Zaywyr","Zeach","Zeanyth","Zilild","Ziratrem","Zorewan","Zuvudd","Aaea","Aaeth","Aalimos","Aardomos","Abaetlan","Abalgrin","Abeach","Abenda","Abire","Abiredus","Acaeloth","Acaled","Acardocan","Acelilith","Acelimma","Acendal","Aciliwyr","Aciobwyn","Acoali","Acoath","Acoav","Acoid","Acorecan","Acu","Adaeand","Adeard","Adeawyr","Adendaa","Adendaldric","Aderawyr","Aderragord","Aderrap","Adiladus","Adiold","Adiradfrid","Adiran","Adoaldan","Adoremma","Adorerd","Adraowin","Adraredric","Adreiwin","Adrerrap","Adrerratlan","Adrerrawyn","Adrigan","Adrira","Adroetram","Adroitrem","Adromas","Adwac","Adwaletrem","Adwaodric","Adwareb","Adwaunn","Adweac","Adwelgrin","Adwelibwyn","Adwendacan","Adwerican","Adwerrabard","Adwiomond","Adwiras","Adwish","Adwobwyn","Adwoigan","Adworeth","Adwyli","Aeadfrid","Aeland","Aelat","Aendag","Aerigan","Aerranad","Afalif","Afauli","Afawan","Afaymma","Afelacon","Afelictred","Aferabard","Afericred","Afiacred","Afili","Afireld","Afoat","Afobaen","Aforenyth","Agraeth","Agralim","Agraof","Agrardod","Agrau","Agrauf","Agrauran","Agrelavudd","Agreraloth","Agrerawyr","Agridus","Agrilitlan","Agrio","Agrioctred","Agrioldan","Agriran","Agruran","Aiactred","Aield","Ailabwyn","Ailalgrin","Ailawin","Ailit","Airech","Alaeg","Alaem","Alard","Alaynnon","Aleanad","Aleath","Alelabard","Aleriwan","Alerracred","Alerral","Aliand","Alilaldan","Alioran","Alira","Aliraand","Aloibaen","Alugord","Aoin","Araegord","Aralech","Arelab","Arerilith","Arerrawyn","Arilaf","Arionnor","Ariotlan","Arorenidd","Aru","Aru","Aruwan","Asacan","Asaleldan","Asaowin","Asaydon","Aseriran","Asilag","Asilican","Asilind","Asir","Asiramma","Asiramos","Asiratrem","Asiwin","Asoav","Asoimas","Asoreron","Astaelgrin","Astaeseth","Astaewyth","Astalimma","Astay","Astelimar","Astenad","Asterrawyth","Astiacred","Astililoth","Astilith","Astirawyn","Astoec","Astorerd","Astyldric","Astynidd","Balivudd","Beadric","Berash","Betlan","Birennon","Boacred","Bore","Bralet","Bralild","Brannor","Brei","Brelican","Breradan","Briowin","Briraldan","Broredan","Bru","Bych","Ca","Cadaewyn","Cadalewin","Cadalild","Cadaolgrin","Cadaop","Cadardogan","Cadaynwan","Cadelild","Caderar","Cadfrid","Cadieseth","Cadigoli","Cadilavudd","Cadioctred","Cadiracred","Cadireld","Cadoidus","Cadywyn","Cae","Caedus","Caeldan","Caelgrin","Caerd","Caet","Caewyn","Calemond","Calidfrid","Calig","Calimma","Caliwyn","Caod","Caolath","Caotlan","Cauder","Cay","Caylath","Caylath","Cebard","Ceder","Ceidon","Ceimas","Ceinyth","Ceiwyth","Celav","Celimar","Celiran","Cendav","Cerracan","Cetrem","Chalilith","Chamar","Chaof","Chardosean","Chaunwan","Chauseth","Chav","Cheaand","Cheacan","Ched","Chelannor","Cherand","Cherilin","Chictred","Chigowyth","Chilar","Chilicred","Chinyth","Chiol","Chireli","Chires","Choenydd","Choreld","Chutram","Ciemma","Ciet","Ciewyr","Cilas","Ciowin","Cirawan","Cirebaen","Ciremond","Citram","Coag","Coand","Coav","Cor","Core","Coretrem","Craetlan","Cralea","Cralibwyn","Crardo","Crardodric","Crauvudd","Cray","Craycred","Crelird","Crendatrem","Creracan","Crerrannor","Criaw","Crich","Criradfrid","Crirecon","Cronnon","Croremos","Cutrem","Daedon","Deatha","Desean","Diadan","Dilanidd","Diligord","Dion","Dorennor","Drardomond","Drauw","Draylath","Dreimma","Drelin","Dreradan","Driev","Drirecred","Droe","Droe","Drord","Drudric","Duwyn","Dwaoldan","Dwelaand","Dwerav","Dwerramas","Dwewan","Dwiet","Dwiewan","Dwila","Dwirasean","Dwiseth","Dwoelith","Dwow","Dwumas","Dwuwan","Dwyb","Edaewyn","Edear","Edelit","Edie","Edielith","Edionad","Edoad","Edoe","Elaelath","Elaeseth","Elali","Elaolith","Elaresean","Elea","Elerigan","Eliop","Eliracan","Eloaa","Eloenyth","Elowyr","Elubwyn","Eowa","Eowales","Eowao","Eowealath","Eowerralin","Eowilaa","Eowilitrem","Eowirabard","Eowiragord","Eowotrem","Eraleldric","Erardor","Erayldric","Erealath","Erelamos","Ereritram","Eriravudd","Eroep","Etalecred","Etalimar","Etarec","Etaubwyn","Eteith","Ethae","Ethale","Ethaoldric","Ethaond","Ethaov","Ethardobard","Etheig","Etheild","Ethelannor","Ethelilith","Ethirew","Ethoadon","Ethoe","Ethore","Etiraloth","Etirand","Etoaw","Faliwyr","Faoctred","Faomos","Faudfrid","Fealin","Feiron","Fendalith","Ferald","Feratlan","Ferd","Fiabaen","Filacon","Fild","Filin","Fionidd","Fiosh","Fra","Fraedon","Fraetha","Fralewyr","Fralild","Fraliseth","Fraowyth","Frealith","Frerad","Frerraldric","Friebaen","Friewin","Friradan","Froiwyn","Frore","Frubaen","Fubard","Fup","Fynnor","Galae","Galaem","Galaletrem","Galalinad","Galardoctred","Galaysean","Galelap","Galelibard","Galerawyth","Galerraron","Galigod","Galilach","Galoewin","Galorenyth","Geader","Gelin","Gienad","Gigold","Gigonwan","Gilamas","Giliseth","Giop","Gioth","Giramma","Glacon","Glaesean","Glarewyr","Gleand","Gleibaen","Glendalath","Glerral","Glianwan","Gload","Gluseth","Glynad","Goigord","Goreg","Graec","Graeld","Graeseth","Graevudd","Grardomos","Graya","Grea","Greican","Greinyth","Grela","Grelam","Grirader","Griwyn","Groech","Groreli","Gwaeli","Gwaennor","Gwalenydd","Gwaoth","Gwares","Gweanad","Gwiamma","Gwie","Gwilitram","Gwiovudd","Gwirald","Gwiremos","Gwiv","Gwu","Gwun","Gwydaebwyn","Gwydaebwyn","Gwydalinydd","Gwydardotlan","Gwydaynd","Gwydea","Gwyderaron","Gwydirawyr","Gwydirawyth","Gwydoctred","Gwydoelin","Gwydond","Gwydubwyn","Gwydynnon","Gwygord","Haardov","Haaylgrin","Haeavudd","Haiodric","Haireran","Halegan","Hao","Haug","Haunwan","Haymma","Hililin","Hilimar","Hilish","Hiratha","Ibaewyr","Ibareld","Ibayw","Ibeanad","Ibeip","Ibendald","Iberinn","Ibiranidd","Ibirannor","Ibirerd","Iboinyth","Iboiwyth","Jeraledan","Jeraliwan","Jerarewyr","Jereadus","Jereat","Jeriawin","Jerilidon","Jeriobwyn","Jerira","Jerirash","Jeroiwyth","Jerunyth","Jeruwin","Kaaenidd","Kaalild","Kaalin","Kaelacon","Kaelacon","Kaerawyr","Kaerimma","Kaeriron","Kain","Kairaldan","Kairawyr","Kairec","Kairedfrid","Kaireloth","Kaoif","Kaoreder","Kaorelith","Kayl","Kaymas","Kaynydd","Kedaldric","Kedalemos","Kedare","Kedaydfrid","Kedelanyth","Kederaran","Kedigonwan","Kedireth","Kedov","Keild","Kinyth","Kiovudd","Koaron","Kom","Koredan","Laraleldric","Laraonn","Larardosh","Larawan","Laraynyth","Lareawyn","Lareli","Larendawan","Lareriseth","Larigobwyn","Larigop","Lariradan","Larirawyn","Larirecan","Larirecred","Larirelin","Larirennor","Laroef","Laroremma","Larygord","Lauseth","Leal","Leatram","Legae","Legareand","Legaywyr","Legeisean","Legelagan","Legenwan","Legerish","Legerraand","Legigom","Legilibwyn","Legilith","Legio","Legiowyth","Legira","Legomos","Legorebard","Legywyr","Leraldan","Leriand","Liewin","Lilanidd","Lilip","Liresh","Loath","Loid","Loinad","Loip","Lotha","Lothaevudd","Lothardomond","Lotharelath","Lothauc","Lotheand","Lotheicred","Lotheil","Lothider","Lothiow","Lothoat","Lothumma","Mardob","Marecred","Maredan","Mautram","Meibwyn","Melip","Merrav","Mira","Miralemas","Mirarenwan","Mirelag","Mirelildan","Mirendamos","Mirilannor","Miriocan","Miriramond","Miroacred","Miroeldric","Mirymma","Mirymond","Mitram","Moe","Naemos","Nalebaen","Naold","Nayn","Neamar","Nelaldric","Nelig","Nerralith","Nias","Nilaldan","Nio","Noeg","Nun","Nydaebaen","Nydalath","Nydalegan","Nydardof","Nydauc","Nydaumond","Nydaush","Nydayld","Nydealdric","Nydeawyth","Nydech","Nydeia","Nydeig","Nydendamma","Nydendath","Nyderraldan","Nydili","Nydilitram","Nydim","Nydiraron","Nydoa","Nydoaron","Nydoidfrid","Nydoretram","Ocalith","Oceal","Oceanidd","Ocelawyth","Ocelin","Oci","Ocieb","Ocila","Ociranydd","Ocoilith","Ocyd","Olaem","Olaosean","Olarea","Oleadon","Oleasean","Oleragord","Olerivudd","Oliligord","Olilimma","Olilisean","Olires","Oloamar","Oloreldric","Olycred","Onactred","Oneiwin","Onelac","Oneractred","Oniraf","Onoard","Onosean","Onun","Paecred","Paer","Paeseth","Paoli","Parewyr","Paucan","Paulith","Payv","Peia","Pein","Pigom","Pili","Piraran","Poreth","Praeld","Praligan","Prelibaen","Prelitlan","Prendalith","Prilal","Prilip","Priran","Priranwan","Prith","Proatrem","Prytrem","Raaenyth","Raeat","Raiaand","Raib","Raiebard","Raigosean","Railamos","Railas","Railid","Rairald","Rairamond","Raoa","Raoanyth","Rardobwyn","Raunnor","Reawin","Rela","Relanydd","Relilath","Reliwyr","Reradan","Rerawyr","Rhaea","Rhaoloth","Rheat","Rhelamas","Rhemma","Rheradus","Rherap","Rhila","Rhilimos","Rhirap","Rhoith","Rhoiwin","Rhy","Rila","Riladon","Rilicred","Rira","Rirald","Riratlan","Riseth","Rorenydd","Rorevudd","Rorewyr","Rud","Saecan","Sali","Salidric","Seidan","Sevalimma","Sevaud","Sevautlan","Seveawyn","Sevilawyr","Seviotlan","Sevyrd","Siecan","Siemas","Siocon","Skaewyth","Skalidfrid","Skardol","Skardom","Skat","Skaus","Skeamond","Skech","Skeird","Skelacred","Skeland","Skerrach","Skien","Skilag","Skiraf","Skoawyn","Skoiv","Skynn","Skysh","Sytram","Taoder","Taretram","Teadan","Telann","Telin","Terralath","Tha","Thaledric","Thaledus","Thardowyth","Tharenydd","Thea","Theinnor","Theip","Theliron","Thelivudd","Thenyth","Thetram","Thie","Thieth","Thigolith","Thilad","Thilalath","Thilil","Thililoth","Thinn","Thirac","Thiresean","Tho","Thoadan","Thoe","Thoinyth","Tholoth","Thu","Thunidd","Tiannor","Tigowyr","Tiliseth","Tioth","Tira","Toch","Toican","Tonwan","Torewan","Traliwyr","Trau","Treadus","Treider","Treliran","Trendalgrin","Triadric","Troedon","Tryand","Trynnor","Tygan","Vali","Vaoldan","Vareloth","Vayn","Vendadan","Vigomond","Viractred","Virawyth","Vith","Viwyth","Voawyn","Vorewin","Waedus","Waeld","Waend","Waenidd","Waerd","Wagan","Wardoder","Wardolgrin","Wardoth","Warewan","Warewyn","Way","Weab","Weabaen","Wealath","Wiar","Wiawan","Wicectred","Wicend","Wicerand","Wicerraldric","Wicerrav","Wicigovudd","Wiciretrem","Wiconnon","Wicore","Wicygord","Wiewyth","Wilawyr","Wili","Wiliron","Wio","Wiralgrin","Woacon","Woanyth","Woewyr","Woild","Worelin","Worem","Wowan","Yale","Yalecred","Yare","Yaug","Yaulath","Ybael","Ybaew","Ybarecan","Ybaron","Ybayder","Ybeard","Ybeas","Ybeican","Ybelimma","Ybila","Ybilic","Ybioloth","Ybira","Ybirawin","Ybivudd","Yboer","Yeanad","Yeig","Yelald","Yerraand","Yiwyr","Yoelgrin","Yore","Yoren","Zaet","Zalesean","Zaligord","Zardoand","Zardoctred","Zayran","Zeadus","Zeanad","Zendactred","Zerader","Zigoa","Zirabwyn","Zoann","Zoenwan","Zumar","Carem","Dyseth","Ferra","Sevolith"]

# The really long list of last names.
mercenaryLastNames = ["Aaliv","Abauvudd","Abay","Aberacan","Aberinyth","Abi","Abiac","Abialgrin","Abiatlan","Abicon","Abilinyth","Aboe","Aboer","Abyder","Abyrd","Acalia","Acardodric","Acardowin","Acaymos","Acayrd","Acelac","Acelach","Acelitrem","Acerisean","Acerracan","Acerrach","Acerrav","Acerraw","Acili","Acob","Acu","Ada","Adalith","Adardol","Adaycan","Aderan","Aderash","Adewyr","Adilim","Adimma","Adiob","Adiracred","Adire","Adiremond","Adoanwan","Adoelgrin","Adoisean","Adoren","Adra","Adreavudd","Adrerram","Adridan","Adrienyth","Adrigowyn","Adrirac","Adrirasean","Adrirath","Adronwan","Adroregan","Adrutrem","Aduld","Adwao","Adwarerd","Adway","Adweacred","Adwean","Adweinad","Adwiragord","Adwoc","Adwoeldric","Aeanydd","Aeit","Aelawin","Afaleth","Afeilin","Afidon","Afilatlan","Afirerd","Afiwyn","Afoabard","Afynidd","Afyv","Agralel","Agrales","Agrawyn","Agrayran","Agraysh","Agrea","Agrerand","Agrigonnon","Agrio","Agriralath","Agroennon","Agroish","Agroitrem","Agrorectred","Agroref","Aie","Aiech","Ailig","Airanidd","Airelith","Airesean","Alaemma","Alaetrem","Alalim","Alaowyr","Alarecred","Alarew","Alauwin","Alawyth","Alayg","Alayr","Alaywin","Aleamas","Aleratrem","Aliamar","Aligogord","Aligoseth","Aliliwyn","Alio","Alirebaen","Alirewyth","Aloedfrid","Aoetha","Aralenn","Araliwan","Arardord","Aratha","Areagord","Arelawan","Arerra","Arerratram","Arewan","Ariawyn","Ariemos","Arind","Aroald","Aroald","Aroia","Arorelgrin","Asaonidd","Asaunnon","Aseiwyn","Aseliwyr","Asia","Asietram","Asigosean","Asilinn","Asiotha","Asiov","Asoe","Asteaand","Astelitram","Astendab","Astewyn","Astiel","Astilaloth","Astioth","Astira","Astiralith","Astirawyr","Astirenad","Astorenwan","Asuron","Asuth","Asylith","Bardoldan","Bardoloth","Barenydd","Bat","Baynidd","Bebaen","Beia","Berabard","Beranwan","Beratlan","Bilawyr","Bilic","Bioctred","Boeloth","Boi","Braelgrin","Braudan","Brawyn","Breawyr","Brelab","Brera","Brerili","Brerish","Breriwan","Brilap","Briodon","Brirabwyn","Brirand","Brire","Broacan","Brodric","Brolgrin","Cab","Cadaesean","Cadaref","Cadeatlan","Cadera","Cadioand","Cadior","Cadiradan","Cadirag","Cadireld","Caeb","Caedric","Caesh","Cale","Cale","Caleloth","Caletlan","Caliwan","Caoch","Caodric","Cardonnon","Cardov","Caredus","Careli","Carenad","Carewin","Cat","Cayb","Ceac","Ceacan","Cealath","Ceand","Ceanyth","Ceav","Ceif","Ceith","Celdan","Celicon","Celictred","Celilith","Cendam","Cendaran","Cenwan","Ceragan","Cerinnon","Chaesh","Chaomar","Chardog","Chardowyr","Chauand","Cheanidd","Chelinwan","Cheriron","Chiadus","Chigoand","Chua","Chyn","Cider","Cieloth","Cienad","Cienwan","Cirach","Cirali","Coeand","Coiwyn","Cowyn","Craeb","Cranad","Crardond","Craret","Crela","Cri","Crirannon","Criretrem","Croenn","Cudfrid","Cyl","Cyran","Cyran","Dalili","Daulath","Delip","Deriwyr","Derrann","Derrannon","Dilal","Dore","Dorennon","Drae","Drayseth","Dreadfrid","Dreav","Dreld","Dreramas","Dreri","Drerralgrin","Drilard","Drilat","Drirawin","Dromas","Drush","Drycon","Dwaeg","Dwaeloth","Dwaewan","Dwalelin","Dwaobard","Dwardowin","Dweasean","Dwes","Dwigolgrin","Dwilimos","Dwiodric","Dwireldan","Dwireldric","Dwoa","Dwoagord","Dwonwan","Dydfrid","Dynn","Edaedon","Edaesean","Edaeseth","Edawyr","Edeaf","Ederawyn","Ederrann","Edilamar","Edilibard","Edilic","Ediramma","Edoa","Edul","Elaowin","Elardotram","Elaynnon","Eleald","Eleanwan","Eleid","Elelat","Elendadfrid","Elerisean","Elialoth","Elie","Eliem","Elioron","Eowae","Eowaem","Eowaleldan","Eowaunwan","Eowaym","Eoweat","Eowegord","Eoweish","Eowelatha","Eoweravudd","Eowerrard","Eowevudd","Eowiewyr","Eowilamond","Eowoild","Eoworedus","Eoworep","Erardoli","Erardond","Eraunwan","Ereinidd","Ereitha","Erelic","Erend","Ereratha","Ererinn","Eribwyn","Eriladfrid","Eroidfrid","Erolgrin","Eta","Etardom","Etaya","Eterild","Ethaecon","Ethaen","Ethaenydd","Ethaer","Ethalel","Etharelin","Ethialgrin","Ethibard","Ethigodon","Ethirawyn","Ethoannon","Ethoend","Ethoetrem","Ethorewin","Ethulath","Ethylgrin","Etiradfrid","Etirasean","Etiw","Etoadric","Etymma","Etyvudd","Faennon","Falinnor","Faup","Feannon","Fec","Fei","Felasean","Feran","Ferrab","Ferrann","Fiabard","Filic","Firadric","Firemond","Fow","Fraech","Fraleb","Fraligord","Fraref","Frarelgrin","Freac","Frealdan","Frerra","Frerragan","Frigor","Frorebwyn","Frusean","Frut","Galale","Galalewin","Galares","Galaut","Galeatram","Galebwyn","Galenda","Galerimas","Galerimma","Gales","Galie","Galim","Galimond","Galoilath","Galoili","Galudan","Galuli","Gaogan","Gayloth","Geanwan","Gelip","Gendavudd","Geri","Giatrem","Giewin","Gilawyn","Giosean","Glaowyn","Gleamas","Gleder","Glilil","Gliotrem","Glirawan","Gloav","Goan","Graesean","Grale","Graleb","Gralebaen","Gralitlan","Graywyn","Grela","Grelaran","Grendac","Greraldric","Grerratrem","Grerrawyn","Griawyn","Grilacred","Griog","Griol","Groremas","Gruand","Gwae","Gwaumas","Gwayc","Gweamma","Gweannon","Gweivudd","Gwennor","Gwerich","Gweriwin","Gwiovudd","Gwirecan","Gwydalemos","Gwydaymos","Gwydeinad","Gwydeinwan","Gwydera","Gwydevudd","Gwydigof","Gwydilalgrin","Gwydirab","Gwyditlan","Gwydoali","Gwydoeder","Gwydyron","Gwydyseth","Haali","Haalimar","Haalith","Haead","Haeral","Hai","Haiaa","Hailiwyr","Hairadan","Halef","Haodric","Hardobard","Haumma","Haunwan","Haus","Hauv","Hauwyr","Hauwyr","Hayth","Helaseth","Hief","Hirap","Hirewyth","Ibaech","Ibaevudd","Ibaloth","Ibaoder","Ibardobaen","Ibaywan","Ibeac","Ibeap","Ibecon","Ibeiwin","Ibeligord","Iberinidd","Iberra","Ibieloth","Ibigos","Ibilaldric","Ibilav","Ibith","Iboimma","Iboith","Jeraesean","Jerardolith","Jereabard","Jereiwyn","Jerelil","Jereraran","Jerewin","Jerila","Jerilawyr","Jeriliwyn","Jeriramos","Jeroewin","Jerorevudd","Kaei","Kaelad","Kaem","Kaew","Kaigotlan","Kailili","Kailiwan","Kaioand","Kand","Kaoebard","Kaoidric","Kaoldan","Kaomma","Kardonn","Kardotram","Keagord","Kedadan","Kedalecan","Kedardoch","Kedealgrin","Kedenn","Kedenyth","Kederaran","Kederranad","Kedieldric","Kedigos","Kedilawin","Kedilind","Kediomma","Kediralin","Kediranyth","Kedow","Keduwin","Kelilgrin","Kendas","Kerilin","Kerraldric","Kigocred","Kirash","Koavudd","Korewyr","La","Laem","Laraeran","Laraond","Larareder","Lared","Larelider","Laremas","Lariegan","Larigold","Larigoth","Larun","Larywin","Legacan","Legaelith","Legalemond","Legalewyth","Legalildric","Legeivudd","Legeril","Legeriloth","Legiaseth","Legionad","Legoawin","Legoidus","Legoiwyn","Legunn","Leridfrid","Lev","Lilawin","Liliwan","Liragord","Lirawin","Loa","Loacred","Lothadfrid","Lothaeth","Lotharemar","Lothawyth","Lothaydon","Lothendagord","Lothieder","Lothigoder","Lothira","Lothiradon","Lothirev","Lothoali","Lothore","Lothoreth","Lygord","Maewyn","Maleloth","Malia","Mardoc","Mardoc","Maus","May","Meimas","Merrawin","Milav","Mimma","Mioseth","Miradus","Miralibwyn","Miraliwyr","Miraodon","Miraron","Miraron","Mirelil","Mirew","Miriec","Miriwyn","Miroewan","Mirored","Moiwin","Moretha","Mubaen","Muwyr","Naebwyn","Nael","Naerd","Naetram","Nayc","Neadan","Neannor","Nelam","Nelawyn","Neraldric","Nerra","Nilar","Nirald","Noader","Noaf","Nyda","Nydaer","Nydao","Nydardord","Nydaudus","Nydauldan","Nydauwyr","Nydaydus","Nydilatlan","Nydiresean","Nymma","Ocalewyn","Ocaum","Oceil","Ocelinyth","Oceriw","Ocerran","Ociand","Ocigogan","Ocigotram","Ociord","Ociowan","Ocoagan","Ocoidus","Ocuwyn","Olalif","Olam","Olare","Oleabaen","Olerradon","Olia","Oliamond","Olican","Oligowan","Olilatram","Olilil","Olirea","Oliremar","Oloabaen","Oloadus","Olotram","Oly","Onaot","Onaretrem","Oneth","Onirald","Onirenidd","Onuctred","Pabard","Pabwyn","Paelin","Palibard","Parec","Pei","Pela","Pendanwan","Periwyr","Pied","Pield","Pigoldan","Pigowyn","Pio","Ponnon","Poredon","Praen","Praf","Praowyth","Prau","Prau","Prendagan","Prera","Preradon","Prerrag","Priracon","Prirad","Proawyr","Proew","Pruch","Pywyn","Ra","Raath","Raaunwan","Raayd","Raeacan","Raeamma","Railin","Rairan","Raocon","Raoep","Raonydd","Raywyr","Rerrann","Rerrasean","Rhael","Rhaevudd","Rhale","Rhaleloth","Rhalip","Rhalith","Rhardowyth","Rharew","Rheanydd","Rheider","Rheli","Rhendawan","Rherim","Rhiath","Rhilibwyn","Rhiligan","Rhiramma","Rhoimond","Rhoinyth","Rilacred","Rilith","Rired","Roaw","Roemma","Rum","Rymma","Sauder","Sea","Seris","Sevaerd","Sevardoctred","Sevardow","Severamma","Severiwyr","Severra","Seviacon","Seviar","Sevilatha","Sevilit","Seviwan","Sevoanidd","Sevof","Sevoidan","Sevor","Sevywyn","Siab","Sian","Sigotram","Siranwan","Sireldan","Skalesh","Skamos","Skaonad","Skaug","Skeaseth","Skerigan","Skeritha","Skerrash","Skiann","Skicon","Skigoc","Skigomos","Skilimas","Skoaw","Skoind","Taea","Taebwyn","Talemma","Talenn","Taoctred","Taredan","Tealin","Teard","Teritha","Tharewyth","Thauwan","Theac","Theam","Theamma","Theamond","Theas","Thelird","Thendalath","Thendawyn","Therath","Theril","Theriwyn","Therrawyth","Thierd","Thilanad","Thilictred","Thiracan","Thiralin","Thiralin","Thish","Thoaloth","Thoegan","Thoen","Thoiwyr","Thol","Tidric","Tilan","Tilawyn","Tirash","Toloth","Toreldan","Traeran","Tralelgrin","Traliwin","Trardomar","Trayldric","Treanyth","Trendadon","Trendaron","Trerimar","Triewyn","Trilish","Trirabard","Tro","Troab","Troald","Tronyth","Trunnon","Valith","Vardowyn","Varon","Veladon","Verawin","Vioc","Viseth","Voim","Voremond","Walecred","Walin","Wao","Watlan","Waunnon","Wawyn","We","Weadan","Wean","Weath","Weiloth","Welam","Welawyn","Welimma","Welin","Werimma","Werinyth","Werraf","Werraldric","Werrawyr","Wicaedus","Wicauld","Wiceith","Wicela","Wicelaron","Wicendab","Wicennon","Wicira","Wiciranyth","Wicobaen","Wicoeld","Wicoilin","Wicold","Wicoreld","Wicudric","Wietram","Wilinwan","Woech","Woidon","Wudric","Yaesh","Yaoldric","Yaylith","Ybalinnon","Ybardoc","Ybardosean","Ybardoseth","Ybardotlan","Ybauwyn","Ybayand","Ybea","Ybeac","Ybiaand","Ybireder","Ybiredon","Ybo","Yean","Yelinydd","Yigo","Yililoth","Yiram","Yoremma","Zaledon","Zaliwyr","Zaomos","Zaremos","Zaycred","Zaycred","Zelinn","Zerab","Zigoldan","Zigovudd","Zionyth","Ziord","Ziramma","Zoilath","Zup","Aalig","Aaliwyn","Aarewyr","Aayld","Abardodus","Abarend","Abay","Abe","Abend","Aberrab","Abigoand","Abilach","Abytha","Acaemma","Acaytram","Aceis","Aceralath","Acilat","Acili","Acywyn","Adadon","Adaecan","Adaenad","Adaybwyn","Adeactred","Adendasean","Adigolgrin","Adiomma","Adirald","Adoreloth","Adraeran","Adrale","Adrarenyth","Adreldric","Adrelicred","Adrelin","Adremos","Adreris","Adrerrad","Adrigoch","Adrigom","Adrigop","Adriradfrid","Adrirann","Adrirectred","Adroenwan","Adroiron","Aduwyr","Adwaegan","Adwalewyn","Adwalewyr","Adwaligord","Adwalild","Adwardowyn","Adwaynad","Adwerach","Adwim","Adwirebard","Adwirelgrin","Adwoamar","Adwoeron","Adwoitrem","Aeild","Aeind","Aelag","Aelan","Aendasean","Aerranyth","Aerrawyn","Aev","Afalerd","Afaoa","Afeald","Afeatram","Afeiand","Aferatram","Aferi","Aferraldric","Aferranidd","Afiadon","Afier","Afieran","Afiobard","Afiotram","Afireg","Afo","Afogan","Afotlan","Afub","Afugord","Agra","Agralili","Agraretrem","Agrauwan","Agreish","Agreith","Agrerildan","Agreritrem","Agriranad","Agrirawan","Agroivudd","Agroredfrid","Agrudus","Ailash","Airaa","Alamma","Alaoseth","Alardoder","Alautlan","Aleanyth","Alerratrem","Aliamond","Aliawyr","Aligond","Aligonydd","Aloedfrid","Aloib","Alylath","Aoef","Aoredus","Araet","Arar","Aray","Araycon","Areamond","Arelitrem","Arerrali","Arigo","Ariras","Aroam","Aroe","Aroeldric","Asaenad","Asaogord","Asaresean","Asauand","Asawan","Aseabard","Aseagan","Asearon","Aseliv","Asia","Asigoctred","Asigowin","Asin","Asoewyr","Astalea","Astendal","Asterrader","Astiratha","Astoaa","Astoldan","Astoreth","Astuder","Asysh","Asyt","Aydan","Badus","Baech","Barewin","Beliwin","Beliwyr","Bendawyr","Berrawyn","Biactred","Biawyr","Biecon","Bird","Boaron","Brabard","Bradfrid","Braed","Braetha","Braletrem","Braowyn","Breamos","Breilath","Brendadon","Brerimond","Briawin","Brigovudd","Brilamos","Briralith","Broalith","Broemma","Broenad","Brorennon","Brudon","Brup","Caand","Cadaem","Cadalennor","Cadaog","Cadardomas","Cadeader","Cadeal","Cadelamma","Cadelan","Caderrawyr","Cadiligord","Cadilinad","Cadiocon","Cadiord","Cadios","Cadoap","Cadoas","Cadoid","Cadoili","Cadoran","Cadud","Cae","Caea","Caegan","Calecon","Calider","Calili","Calinidd","Caoc","Cardoron","Carecan","Carewyth","Cea","Cealdric","Ceatram","Celidric","Celili","Ceri","Ceriand","Cerif","Cerildan","Cerildan","Cerimas","Cerragord","Cewyr","Chaedric","Chalilgrin","Chaliw","Chardonwan","Cheawyn","Chemar","Chemond","Cheth","Chiadric","Chiland","Chiligord","Chirawyth","Chyth","Ciath","Cierd","Cionidd","Cirav","Coeth","Coild","Craom","Crardotrem","Creaseth","Creatrem","Crelicon","Crerader","Criald","Crilith","Croadon","Croedric","Crorebaen","Cua","Culoth","Cydon","Daelgrin","Daobwyn","Dauand","Deap","Deif","Delab","Derawin","Die","Dild","Dom","Dra","Draliand","Draotlan","Drap","Drarelith","Drera","Drewin","Driabaen","Drigodan","Drirash","Drireldan","Driremas","Du","Duloth","Dwaedfrid","Dwalewan","Dwalith","Dwaregan","Dweird","Dwemar","Dwendanidd","Dwiabwyn","Dwicon","Dwigodric","Dwiliran","Dwirad","Dwire","Dwoatlan","Dwoemma","Dworewyr","Eda","Edaygan","Edealath","Edeanad","Edeavudd","Edeim","Edelatha","Edelinidd","Ediaron","Edidan","Edierd","Ediliv","Edird","Edoinnon","Edolith","Elaemos","Elaregord","Elealdric","Eleann","Eleild","Eleli","Elendab","Elialath","Eligoch","Elinnor","Elirader","Elirath","Elorec","Elus","Elygord","Eowaelin","Eowaem","Eowela","Eoweri","Eowield","Eowigowin","Eowiland","Eowoecan","Eraenad","Erarenwan","Erea","Ereli","Erelildric","Ereridric","Ererraw","Eridus","Erirannor","Eroav","Eroreth","Erya","Eryctred","Etaledan","Etanwan","Etaob","Etaov","Etarewyth","Eteamas","Eteli","Eteligan","Etendad","Etendaldan","Ethaelith","Ethalenyth","Ethaomma","Ethareth","Ethaytram","Etheli","Etheridric","Etherramas","Ethilac","Ethiligord","Ethilil","Ethilip","Ethiold","Ethoeand","Ethorebwyn","Ethoreld","Ethov","Etiann","Etilitrem","Etirecan","Etoerd","Etoibwyn","Etoinnor","Etorecon","Faecon","Faer","Falennor","Fardolath","Fardow","Faren","Fareth","Feria","Ferran","Fi","Fiemar","Figoth","Filic","Filitha","Fiogord","Firec","Fodan","Foeli","Frarebaen","Frau","Frealath","Frei","Frilaa","Frirand","Froesean","Froitlan","Froitrem","Fromar","Froremos","Fruvudd","Fryseth","Fusean","Gaeldan","Galaegan","Galalelin","Galayran","Galeamma","Galeanydd","Galerald","Galerilin","Galerrabwyn","Galerraldric","Galigo","Galigonidd","Galiotlan","Galoev","Galoiw","Galulin","Garem","Gaw","Geider","Gelawyn","Gelidus","Geradus","Gerradon","Giamma","Giral","Gireldan","Girenyth","Glalecan","Glaliwan","Glaom","Glarenad","Glelawin","Glelimond","Glelis","Glerab","Gligobwyn","Gligonad","Glilacan","Gliliron","Gliw","Gloavudd","Glocan","Gluder","Gluf","Goawin","Graeron","Graewyr","Grelab","Grie","Griebwyn","Grigobaen","Grynnon","Grysh","Gwaleb","Gwalith","Gwenad","Gwendatram","Gwerimond","Gwiewyn","Gwigoli","Gwigowan","Gwydalectred","Gwydardoder","Gwydauwyr","Gwydays","Gwydeard","Gwydeatlan","Gwyderap","Gwyderrann","Gwydieand","Gwydiladus","Gwydira","Gwydoes","Gwydorewyr","Gwyducan","Gyseth","Haaelith","Haaliw","Haep","Haietlan","Hailabard","Haili","Haionwan","Hairawyr","Haireldric","Haish","Haleli","Haliwyr","Haoan","Haobaen","Hare","Heican","Helabwyn","Helatha","Hiramond","Hoawyn","Hoinad","Horeran","Hylgrin","Ibalenad","Ibardolath","Ibarewyr","Ibau","Ibeaa","Ibelard","Iberitram","Ibiractred","Ibiraseth","Ibocred","Iboelith","Iboemar","Iboewan","Iboiwyr","Jeraeth","Jeraren","Jerautha","Jeredfrid","Jerelid","Jereliron","Jererawyn","Jererratram","Jerien","Jerilinyth","Jerio","Jerirawin","Jerirep","Kaaectred","Kaaliw","Kaann","Kaardowyr","Kaaret","Kaaywyn","Kaedus","Kaeiand","Kaeiwyr","Kaendawan","Kaeracon","Kaerimond","Kailasean","Kamas","Kaoiv","Karelgrin","Karelith","Kean","Kedach","Kedal","Kedardo","Kedarerd","Kedawin","Kedawyth","Kederap","Kederican","Kederratlan","Kedigog","Kedigor","Kedigoth","Kedoesean","Kedoiloth","Kelinn","Kerinn","Keriwyr","Kian","Kianidd","Kilidon","Koin","Kore","Kud","Lalebard","Lalem","Lalewan","Lali","Lalit","Laliv","Laralibaen","Larardodan","Lardodon","Lareradan","Lareraldric","Larerican","Larerrabaen","Lareseth","Lariratrem","Larut","Lau","Leap","Legacred","Legaecon","Legalewyn","Legalidan","Legardosh","Legerali","Legieli","Legigonydd","Legiracred","Legireg","Lendadan","Lenyth","Lerad","Lerra","Lerra","Liad","Liav","Liebard","Lilatrem","Lior","Lir","Lirel","Loas","Loregan","Lothaleran","Lothebard","Lothidric","Lothigop","Lothilaldan","Lothiraw","Lothomma","Lothulin","Mare","Mau","Me","Meaa","Meildan","Melin","Merra","Merrald","Miliwyr","Mirab","Mirae","Miralin","Miraynnon","Mirecan","Mirelgrin","Mireradon","Mirerand","Mirian","Miriliw","Miriranydd","Miroebaen","Miroewin","Mirurd","Moreand","Nae","Naew","Nean","Nedon","Nela","Nelig","Niamar","Nier","Nilawin","Niobwyn","Noamos","Nydaectred","Nydaoran","Nydardotrem","Nydarenn","Nydaytram","Nydeawan","Nyderitha","Nydi","Nydiald","Nydieldric","Nydilidus","Nydirawyth","Nydoch","Nydoibard","Nydul","Ocaen","Ocarecan","Ocealoth","Oceiwyn","Ociald","Ocialdric","Ocigoand","Ocilicred","Ocoath","Ocod","Olalenidd","Olardo","Olardosh","Olarea","Olaudfrid","Oleidric","Oleiw","Olendamar","Oloemos","Oloetrem","Olos","Oluvudd","Onadfrid","Onaedon","Onaeldan","Onaliwyr","Onardonidd","Onarebaen","Onaymas","Onerim","Onigosh","Onilibaen","Oniowan","Oniradon","Onoawyr","Onof","Onu","Onynnon","Paleth","Palith","Parech","Peadfrid","Pendannor","Pendaran","Peracon","Perawin","Piaa","Pilisean","Pirawin","Pith","Poiand","Pomos","Ponad","Praowyn","Prea","Preinydd","Prelaron","Prelif","Prendatha","Priath","Priavudd","Pricred","Prila","Prira","Priradon","Prirath","Prirav","Prit","Progan","Prorebwyn","Prydan","Raaewyr","Raalerd","Raalig","Raan","Rabwyn","Raea","Raeth","Raianwan","Raicred","Raierd","Raigodan","Raocred","Raoegord","Rardom","Raylin","Raywin","Relawyn","Rhalimond","Rhardo","Rharewin","Rhay","Rhelild","Rheramond","Rheritrem","Rhiewyr","Rhoa","Rhoawyn","Rhoinydd","Rhyn","Rieloth","Riem","Rieth","Riliwan","Roag","Roanidd","Ry","Rysean","Saedan","Saleran","Saleran","Saol","Seabwyn","Seanyth","Seavudd","Selath","Serasean","Seriron","Serragan","Sevaemond","Sevaolath","Sevaot","Sevardo","Sevardord","Sevaynyth","Seveactred","Sevendad","Severan","Seviactred","Sevirar","Sevytlan","Siewin","Sigoldan","Siraw","Skaemar","Skawin","Skelacon","Skeralgrin","Skicred","Skiladan","Skilanyth","Skirawin","Skirenyth","Skiwin","Skunnor","Soedan","Soinwan","Sylath","Sytram","Taebwyn","Taectred","Taer","Taret","Teidus","Teri","Teriwyn","Thael","Thaemos","Thaewin","Thalel","Thalemma","Thaotlan","Thardonn","Tharedon","Thaugord","Thaulin","Thaylith","Thaytha","Theav","Theawyn","Theiwan","Thelacan","Thelil","Thendan","Thendatrem","Therand","Theri","Therra","Thia","Thigob","Thigomos","Thigowin","Thilar","Thiotrem","Thirag","Thoach","Thoenydd","Thog","Thoiloth","Thoinn","Thyn","Tilawin","Tilinidd","Tilit","Tiol","Titrem","Toaw","Torewyn","Traucon","Treamond","Treidon","Trelagan","Treliand","Triawyr","Trilag","Troemar","Truwyth","Vaedon","Valewyn","Vaubwyn","Vayg","Veliwin","Verawyn","Via","Vigo","Virabwyn","Viracon","Voa","Vynyth","Wader","Wadfrid","Waev","Wale","Wale","Walilith","Waliwin","Wardotlan","Wardov","Waylath","Waytha","Weitlan","Welinnor","Wemma","Weracred","Weratrem","Werrash","Wi","Wiaa","Wicalitha","Wicaregan","Wicaylin","Wicea","Wiceadric","Wiceilith","Wicilat","Wicilican","Wicuron","Wiliran","Wirat","Wireron","Woelith","Woreli","Wyld","Yaennon","Yaunnon","Yayldric","Ybaleli","Ybaobwyn","Ybaonnor","Ybeilith","Ybelilath","Yberadon","Ybianyth","Ybiatrem","Ybioldric","Ybirac","Ybiradric","Ybirar","Yboer","Yboeran","Yeanad","Yela","Yelash","Yendanwan","Yerrac","Yiadfrid","Yirash","Yiref","Yiw","Yiwyth","Yoaf","Yoannon","Yoawyn","Yoewan","Yorew","Yulin","Yyand","Yydric","Yyv","Zadfrid","Zalea","Zamas","Zeamond","Zean","Zeladon","Zerader","Zeribaen","Zeridus","Ziend","Zilamar","Zilgrin","Zili","Zio","Zior","Ziraand","Ziralin","Zof","Zoican","Aaef","Aaem","Aardocan","Aardotrem","Abalit","Abalith","Abeach","Abean","Abelider","Aberabaen","Aberaloth","Abiolin","Abiracan","Abiraran","Aboibaen","Acalith","Acardowyth","Acarem","Acaycan","Aceladric","Acerrar","Acia","Acoiwin","Acowin","Acuv","Adaewin","Adaleron","Adalim","Adeaf","Aderon","Aderrap","Adilash","Adiredan","Adoal","Adoali","Adoanydd","Adraedon","Adralird","Adraodan","Adrenda","Adrigonyth","Adriracan","Adriracon","Adrirenad","Adroanyth","Adroemma","Adrutrem","Adwaebaen","Adwardoctred","Adwardonidd","Adwaynnon","Adwendab","Adwiemas","Adwietram","Adwigodus","Adwiocred","Adwiredon","Adwirennon","Adwoenn","Adwuld","Aeanad","Aeladfrid","Aeritha","Aerramar","Aerranidd","Afaenidd","Afaoch","Afardowyn","Afei","Afelaf","Afireg","Afirewyn","Afu","Agraer","Agraudric","Agrayldan","Agreanwan","Agreramond","Agrieli","Agru","Agruwin","Agrywin","Ailach","Ailif","Ailiwyn","Airag","Airesh","Aliemond","Aliraldric","Aloildric","Aloiwyr","Alomma","Aoeseth","Aoid","Aoith","Aoredon","Arardodfrid","Areilith","Arelgrin","Arendabard","Areramar","Ariol","Ariowyth","Arirawin","Arireseth","Aroadus","Aroremond","Arowyth","Asaotlan","Asardodus","Asaunidd","Aseadus","Aseliv","Aserrawyth","Asianad","Asildric","Asinnon","Asiraran","Asoeli","Astae","Astaedfrid","Astarelith","Asteatrem","Astei","Asteiwyth","Asterabard","Asterild","Astilanidd","Astiramma","Astitlan","Astorec","Astoreder","Astoredfrid","Astuwyr","Asuldan","Aumos","Ayl","Baomma","Bath","Beamar","Beitram","Bi","Bia","Bigov","Bilam","Birawyr","Birewyth","Bolath","Braenydd","Braleld","Brardon","Brelamas","Briesh","Broenidd","Broiw","Bryld","Bynd","Cadalelath","Cadaoseth","Cadarev","Cadauld","Cadaygord","Caderi","Caderir","Cadiogord","Cadireseth","Cadoaseth","Cadoinad","Cadoremma","Cadumar","Cadysean","Caeth","Cali","Calidon","Cam","Caof","Cardodon","Cardotrem","Cau","Cau","Cay","Cay","Caydus","Caysh","Ceaand","Ceamond","Ceaseth","Ceig","Celaa","Celi","Cerath","Cerinyth","Cerraa","Cerrannor","Chaenad","Chaewyn","Chaleb","Chaus","Chaydus","Cheligord","Chendath","Chigotrem","Chilib","Chiowyn","Chirath","Chirenwan","Chiwin","Choabaen","Choren","Chyth","Ciash","Ciawin","Cigob","Cilacan","Cilacred","Cirac","Ciran","Cirath","Cire","Cirewan","Coanad","Coatrem","Coe","Crao","Craredus","Crelaw","Crerasean","Crilidric","Crireli","Croamma","Croewan","Cywin","Cywin","Dardoth","Daresh","Delaand","Derannon","Derractred","Dibard","Digop","Dilic","Diram","Doanydd","Doel","Doildric","Doiv","Draen","Dralennor","Dralicon","Drardowin","Dreili","Dreiwin","Drericred","Droasean","Dru","Drul","Drynad","Drysh","Du","Dund","Duw","Dwaetlan","Dwalebard","Dwaleseth","Dwalimos","Dwayd","Dweamos","Dwelabwyn","Dwerap","Dwerild","Dwerrac","Dwev","Dwilimas","Dwoiseth","Dwold","Dwolith","Dworenidd","Dwuwin","Dwyldric","Edaegan","Edaemma","Edaledric","Edalemma","Edeild","Edelider","Edera","Edila","Edilith","Ediramond","Edoannon","Eduf","Elalidus","Elarev","Elauwyr","Elelidric","Elelip","Elendaa","Elerican","Elieb","Elila","Eliol","Eliralith","Elirav","Eloabwyn","Elodus","Elonyth","Eluf","Eowaer","Eowardo","Eowarenydd","Eowauld","Eowelir","Eowerradus","Eowesean","Eowiamond","Eowich","Eowieth","Eowildan","Eowiremar","Eowo","Eowoalgrin","Eowug","Erae","Eraea","Eralgrin","Eralich","Erardodric","Eraredan","Erarem","Eraynnon","Ereinidd","Ereliwyr","Erendannor","Ererrawyn","Eria","Eriev","Erigoc","Erilaldan","Erirath","Erocred","Etaebaen","Etaew","Etarebard","Etareld","Etat","Etelildric","Eterawin","Etha","Ethaesh","Ethaev","Ethalecon","Ethalinnon","Etheabaen","Etheawyth","Ethelidfrid","Ethemas","Ethendath","Ethie","Ethiraf","Ethiramas","Ethoia","Ethold","Ethoregan","Etilicon","Etirenidd","Etoamond","Etoemas","Etoretrem","Etu","Ety","Falegord","Fardotlan","Fardowyn","Favudd","Feaand","Feisean","Fendawyr","Ferrabard","Foash","Forea","Foregan","Freawan","Frerildan","Friali","Friaseth","Friew","Frilimas","Frionnon","Frirabwyn","Frirath","Frireg","Froawyn","Froiron","Gae","Galaelin","Galalinidd","Galaolgrin","Galaolin","Galarebwyn","Galaynnon","Galed","Galianwan","Galibwyn","Galicon","Galiodon","Galirag","Galoab","Galoidric","Galoli","Galowyn","Galus","Gardoc","Gardoth","Gareseth","Gau","Gausean","Gauwyr","Geanyth","Gelildan","Gendach","Geramar","Giosh","Girewyr","Glaesh","Glauseth","Glayron","Gleacon","Gleadus","Gleand","Gleif","Glera","Glerar","Gliawyn","Glirenyth","Gloeand","Gloeld","Gloelin","Gloind","Gloretha","Glynnor","Goe","Graelath","Grali","Graoc","Graumond","Grawyth","Graydon","Gre","Greard","Grieldric","Grilanwan","Grinwan","Groewyn","Gru","Grywyn","Guwyth","Gwag","Gwareldric","Gwath","Gwaylin","Gwelan","Gwelath","Gweliand","Gweliv","Gwendadfrid","Gwior","Gwiralin","Gwirannon","Gwoader","Gwoamond","Gwoevudd","Gwomar","Gwydae","Gwydaeder","Gwydalenad","Gwydao","Gwydaowyr","Gwydeasean","Gwydeb","Gwydew","Gwydili","Gwydilitrem","Gwydirawyr","Gymar","Haaewyn","Haaun","Haegan","Haelanwan","Haerad","Haetrem","Hales","Haligord","Haliwyth","Haoatram","Haoilgrin","Haowyth","Haulath","Hayw","Heagord","Heat","Hedus","Helann","Herabaen","Heractred","Heramas","Hiag","Hiold","Hireldan","Hirem","Hoadan","Hoech","Hoiron","Hoith","Horeg","Hubwyn","Hunnor","Huth","Iba","Ibaelith","Ibale","Ibaomond","Ibeam","Ibeannor","Ibeinidd","Ibelagord","Ibeliseth","Iberaf","Ibigolath","Ibila","Ibilacon","Ibilild","Ibinnon","Ibirald","Ibireand","Iboi","Iboitrem","Ibowyr","Jeraliwyth","Jeraoch","Jerealoth","Jeriegan","Jerilan","Jeriodric","Jeriremma","Jeroeb","Jeroretlan","Jerudric","Jeryn","Kaawyr","Kaeaa","Kaegan","Kaeilgrin","Kaerild","Kaerrawin","Kaiawyth","Kaili","Kain","Kaind","Kairamas","Kardowin","Kauctred","Kaynwan","Kaywyn","Kedaen","Kedalebard","Kedaord","Kedardolin","Kedeadus","Kedeagan","Kederrawin","Kedialith","Kediranidd","Kediregan","Kedoem","Kedoidfrid","Kedorewin","Keican","Keiseth","Keriwin","Korelith","Kybard","Lad","Lalenn","Lalesean","Laow","Laraliw","Lareabaen","Lareamos","Lareawyn","Larebard","Lareinnor","Larietram","Larilimos","Lariodan","Laromos","Laruch","Laumar","Legae","Legaedon","Legalicon","Legear","Legelavudd","Legendaloth","Legieb","Legiowyn","Legiras","Legireld","Legoectred","Legoinwan","Legycon","Lendaloth","Lias","Liev","Liliwyn","Loidus","Lotham","Lothaoand","Lothau","Lothelinnon","Lothenidd","Lothera","Lotherannor","Lotheratrem","Lotherawin","Lothias","Lothilali","Lothilath","Lothimond","Lothirann","Lothorewyr","Lothyv","Lu","Maeder","Maelith","Malildan","Mauwyn","Mays","Meatlan","Merild","Merrard","Miedan","Migowyth","Milacred","Miop","Miraecon","Miraoch","Mirardolith","Miriolin","Miriraf","Miroeld","Miroictred","Mirorep","Miruc","Mobard","Moim","Morectred","Muld","Mutlan","Nardonad","Nauwyr","Neadan","Nealath","Nigowyn","Niliran","Nish","Noal","Noand","Nydae","Nydaeand","Nydalebwyn","Nydali","Nydardoran","Nydareron","Nydaunwan","Nydaw","Nydeab","Nydeald","Nydeib","Nydelap","Nydeld","Nydenda","Nydiader","Nydiem","Nydieran","Nydilali","Nydiocan","Nydira","Oca","Ocaemar","Ocalinwan","Ocardowyn","Ocarenn","Ocienyth","Ociliv","Ocirann","Ociras","Ociren","Ocirennor","Ocirenwan","Ocoemond","Ocoenidd","Ocow","Oculi","Ocuwan","Olaemar","Olaeth","Olalewyn","Olalil","Olardo","Olaretha","Olauth","Olear","Olerinn","Oliemar","Oligold","Oliligan","Olilimas","Oloder","Oloiwyr","Olowin","Onaemar","Onaemos","Onalewin","Onaoron","Onardonwan","Onead","Onei","Onelawyth","Onia","Oniawyn","Onieth","Onilacan","Onio","Oniosh","Onoawan","Onodric","Onoeth","Pa","Paogord","Paolath","Pardowyth","Paremond","Paylin","Peralath","Perrald","Perrawyth","Pilaron","Pio","Piocred","Pirann","Piravudd","Poacon","Poebard","Prae","Pralinnon","Pralip","Praunidd","Preamond","Preif","Prem","Prendawyn","Preramar","Prerraf","Prierd","Priesean","Prigoand","Prilgrin","Prionydd","Prirannor","Prirawyth","Prish","Proel","Prop","Puwyn","Pynwan","Raardomos","Raenydd","Raerader","Raiawyn","Raimas","Rairawan","Ralew","Raocon","Raore","Rardowin","Rarecan","Rarewyn","Rash","Raydan","Rera","Rhaunydd","Rhawan","Rhayctred","Rheadan","Rheawyn","Rhemma","Rhendanad","Rherath","Rherrard","Rhiadon","Rhilanwan","Rhiobard","Rhior","Rhirash","Rhoinn","Rhoivudd","Riath","Rigodon","Rilamas","Riliseth","Roawan","Roremma","Rywyr","Saewan","Saum","Saymma","Selath","Serraseth","Sevaon","Sevare","Sevareand","Sevauldric","Sevaynad","Sevelinnor","Severalith","Sevib","Sevili","Sevilildric","Seviomos","Seviranydd","Seviraseth","Sevireth","Sevirevudd","Sevoagord","Sevoenad","Sevoimar","Siem","Sieron","Silanad","Silild","Siralith","Sirev","Sirewyr","Skald","Skaleand","Skarep","Skaycred","Skerawan","Skeriwyn","Skiacon","Skiel","Skiev","Skiraldan","Skirewyth","Skoe","Tach","Talidus","Tardo","Tayth","Teis","Telinad","Tendabwyn","Teramas","Terramond","Thaem","Thalenad","Thalep","Thalili","Thardotha","Thareth","Tharewin","Thea","Thea","Thead","Thearon","Theawyn","Theictred","Theili","Thelap","Thendan","Thendatram","Therican","Therid","Thictred","Thilan","Thilanidd","Thiliwan","Thiodfrid","Thirawin","Thiwyr","Tho","Thuwan","Towin","Trae","Tralenwan","Trardold","Trardowyth","Trelab","Trelicon","Treriwyr","Trerraldric","Trerranwan","Triatlan","Trililith","Trirawin","Trireli","Troedric","Tron","Vaes","Valennor","Varewyn","Vaya","Venad","Voelath","Vol","Vorenwan","Wae","Waea","Waectred","Walemond","Walind","Walisean","Wardom","Wea","Weicred","Weliwan","Wendagord","Wendaldan","Wendaldric","Werav","Weritha","Weriwan","Weseth","Wicaliran","Wicarep","Wicelath","Wiceliloth","Wicerawyr","Wiciadric","Wicigon","Wicilath","Wicimos","Wicoali","Wicoeder","Wicord","Wicorelith","Wicunad","Wiecon","Wiewin","Wigolin","Wigovudd","Wilawyr","Wilinn","Wimma","Wiraa","Wiralath","Wiratlan","Wirectred","Witrem","Woesh","Wud","Yaewan","Yay","Yayldan","Ybaucred","Ybaulith","Ybaywin","Yberrawin","Ybialin","Ybiraa","Yboibwyn","Ybuwyr","Ybyr","Yea","Yea","Yendard","Yenidd","Yeraseth","Yili","Yili","Yiowyn","Yuth","Zaetram","Zath","Zauth","Zeaa","Zerir","Zienidd","Zilatha","Zilild","Zilind","Ziog","Zionnor","Zira","Zire","Zirel","Zo","Zoewyth","Zoi","Aacan","Aaer","Aalitlan","Aardo","Aaudan","Aaya","Abale","Abarec","Abatram","Abeand","Abeawyn","Abedan","Abeir","Aberamma","Aberith","Abiawyn","Abilith","Abioth","Abiraloth","Abya","Abytlan","Acaewyr","Acaug","Aceat","Aceimar","Acelash","Acera","Acimas","Aciratlan","Acirenad","Acorenad","Acoresean","Acucred","Aculith","Adabwyn","Adalewin","Adaredan","Adawin","Adealith","Adelalgrin","Adeli","Adelif","Aderiw","Adiaran","Adiodus","Adiomos","Adiosean","Adoadan","Adoeand","Adoiand","Adoildan","Adoinidd","Adra","Adrael","Adrayldric","Adreriloth","Adrie","Adrigoa","Adriotram","Adrira","Adrirasean","Adro","Adruseth","Adrutha","Adwardowyth","Adwaretha","Adwat","Adweagord","Adwilanydd","Adwiranydd","Adwirewyr","Adwom","Aeawyn","Aelap","Aeras","Aeril","Afalican","Afalit","Afeannor","Afeaw","Afec","Afeladan","Afelath","Afeligord","Afilip","Afirach","Afirawyn","Afoi","Afua","Agra","Agrarecon","Agraynwan","Agreisean","Agrendatlan","Agreras","Agrerider","Agrietha","Agrio","Agroader","Agroaran","Agrunwan","Ai","Aigog","Airelath","Alaoran","Alardobwyn","Alardodfrid","Alardonyth","Aleaf","Alei","Aleri","Aleri","Alerican","Alerrag","Aliat","Alich","Alilann","Alorectred","Alumas","Aoimma","Aoth","Aralelath","Arardonnor","Areacred","Arelatlan","Arelilin","Arelimond","Areradus","Aries","Arigowan","Arirand","Aroelin","Asaed","Asaenidd","Asalisean","Asayth","Aselaran","Asendawyth","Aserrawyn","Asiecan","Asieth","Asigodus","Asiramma","Asoaldan","Asoic","Asta","Astaecon","Astalemas","Astalemond","Astaoron","Astardoli","Astaycred","Asteig","Astelawyr","Astelidon","Asteliwyr","Astiap","Astiaran","Astirac","Astoemos","Astoi","Astunidd","Astuv","Asynydd","Ban","Beder","Bela","Berranad","Bia","Bigocred","Biodric","Bira","Bitram","Boresh","Braebwyn","Bralid","Brerigord","Breriwin","Brid","Brilith","Broe","Broelgrin","Brynwan","Brynwan","Cadacred","Cadaowyr","Cadarennon","Cadauder","Cadedfrid","Cadeiron","Cadeith","Caderra","Cadiedon","Cadield","Cadililath","Cadirann","Cadirannor","Cadyldric","Calemar","Calemos","Caliwin","Cardo","Carebard","Cash","Caush","Ce","Cea","Ceagord","Ceannor","Celadan","Celatlan","Ceraron","Ceratram","Ceritlan","Ceritram","Cerractred","Cerratram","Cerrav","Chauth","Cheab","Chigonydd","Chigor","Chilimar","Chorech","Chorend","Ciaron","Ciewyn","Ciewyth","Cigotha","Ciowyn","Ciradon","Cirali","Cirawyn","Coaran","Coatrem","Coenwan","Coetrem","Cralidric","Crare","Craynydd","Creidan","Crennon","Creram","Crerid","Crerild","Cresean","Criedan","Crieth","Crigan","Crigogord","Crilacan","Crirach","Criraloth","Crire","Criretrem","Croeldric","Cuwyn","Cybard","Da","Daeg","Daof","Daolath","Darewan","Dautha","Death","Desean","Dial","Digoli","Dirabaen","Drale","Drauvudd","Dreld","Drendald","Drerinn","Drerrawin","Dries","Driesean","Drif","Drilald","Drirawyn","Dwadan","Dwalemar","Dwali","Dwarelin","Dwaulgrin","Dwautram","Dwaytha","Dwaywyr","Dweaseth","Dweicon","Dwelidfrid","Dwerannon","Dwerrap","Dwia","Dwio","Dwiodon","Dwior","Dwoin","Dworegan","Dwywin","Edaectred","Edaletram","Edardoth","Edawin","Edeaw","Edeidan","Edelacan","Edelann","Edendacan","Edendanad","Edendaseth","Ederiwyr","Edeseth","Edetram","Ediabwyn","Edianwan","Edimas","Edirath","Edoish","Elaed","Elaewyth","Elaleth","Elayc","Eleard","Eleawyn","Eleladus","Elelash","Elendagan","Eleri","Eleriwyn","Elidus","Elilad","Eliolath","Eliracon","Eliretrem","Elutrem","Elyl","Eowaedon","Eowaelgrin","Eowaemos","Eowalemar","Eowaosean","Eoweadfrid","Eoweic","Eowerawyn","Eowerilith","Eowerimas","Eowerrald","Eowiav","Eowigonydd","Eowilap","Eowira","Eowiraand","Eralimma","Eraob","Erarewyth","Eraul","Eraynnor","Erelicred","Erendam","Ererravudd","Erigonad","Eriocan","Erorenn","Etaenidd","Etalemos","Etalinn","Etaoldan","Eteicred","Etera","Etera","Eterawyr","Ethalenn","Ethalish","Ethaoder","Ethaomos","Ethardolath","Ethauf","Etheibwyn","Ethelawyth","Etheridfrid","Ethigoth","Ethilac","Ethirawyr","Ethirend","Etiabaen","Etiadon","Etirawyr","Fardodus","Fardov","Farelath","Feanwan","Felali","Felich","Ferican","Ferinwan","Ferrawan","Fiadric","Figog","Fiop","Fior","Foac","Foal","Foid","Fraydon","Frea","Frei","Freitrem","Frelash","Freriron","Frerrawin","Fridfrid","Frilid","Frioder","Frirader","Froabwyn","Froiloth","Fructred","Gaebwyn","Gaeli","Galardolin","Galaucan","Galaugord","Galeisean","Galelath","Galeli","Galendaw","Galenidd","Galeranidd","Galeraron","Galeril","Galeriwin","Galigowan","Galila","Galiliwin","Galio","Galiradfrid","Galoedus","Galoennor","Galoredon","Gardowyr","Geath","Geinyth","Geron","Gerrad","Gerrand","Giamma","Gies","Giv","Glaunydd","Glaymar","Glendatha","Glia","Gligobwyn","Glilith","Glio","Gliol","Gliras","Glirewyn","Glynyth","Goas","Goend","Goidric","Goran","Graeld","Gralidus","Grarenad","Graulin","Grendas","Greril","Grerralath","Gri","Gribard","Grigot","Griladfrid","Griraron","Grorennon","Gruron","Guron","Gweildric","Gwendard","Gwendawyr","Gwican","Gwila","Gwoibard","Gwydader","Gwydaor","Gwydardotlan","Gwydardotram","Gwydarenyth","Gwydea","Gwydeal","Gwydeash","Gwydeidan","Gwydionyth","Gwydiovudd","Gwydiranwan","Gwydireder","Gwydireder","Gwydoedfrid","Gwydoi","Gwydoinn","Gwydorel","Gwydorerd","Gysean","Haaenyth","Haaydfrid","Haeith","Haera","Haew","Haieloth","Hailictred","Hairalin","Hairan","Halitram","Haliwyth","Hardo","Harelgrin","Harep","Haudan","Haycred","Heliand","Heliwyr","Hendabaen","Hendadon","Hendaran","Hiebard","Higoand","Hiloth","Hiradon","Hirewyr","Hitlan","Hoemas","Homma","Ibale","Ibarenwan","Ibaulith","Ibautrem","Ibean","Ibeav","Iberaran","Iberradan","Ibioth","Ibiowyr","Ibirand","Jeraeder","Jerewin","Jeriedric","Jerigoran","Jeriond","Jeriraseth","Jeroch","Jeroenad","Jeroewyth","Jerua","Kaaeand","Kaaenyth","Kaaot","Kaelip","Kaeris","Kaetrem","Kaialgrin","Kaieth","Kaigogord","Kailia","Kairaldan","Kairaw","Kaiw","Kannon","Kaseth","Kaumar","Kayrd","Kedaedus","Kedales","Kedaow","Kedaycan","Kedea","Kedeic","Kederach","Kedilannor","Kedioseth","Kedira","Kedith","Kedoalgrin","Kedumond","Kedy","Kedywyr","Kewyr","Kiam","Kiegan","Kiocon","Kiond","Kogan","Koildric","Kuli","Kywyr","Larareth","Laream","Lareannon","Larelanwan","Larerader","Laria","Larialdric","Larief","Lariladfrid","Larionnon","Lariraldan","Larirali","Larywin","Leacan","Legaebard","Legaef","Legaotha","Legardob","Legauf","Legeamma","Legilatrem","Legiliwyn","Legimond","Legomond","Legore","Legyrd","Leradus","Leritrem","Lilim","Lira","Lira","Liregan","Loaldric","Loran","Loregan","Lorelin","Lothaev","Lothardowan","Lotheadric","Lotheap","Lotheatram","Lothec","Lotheibaen","Lotheir","Lotheiwyn","Lothelictred","Lothiamar","Lothictred","Lothiotlan","Lothoach","Lothomma","Lothug","Lothuth","Maend","Maep","Mardonn","Marewyr","Meinn","Melidus","Mendaseth","Miaran","Milam","Miraecon","Mirale","Miralenidd","Mireamas","Mirean","Mirebaen","Mirerraron","Mirialdric","Mirich","Mirir","Miriramond","Miroir","Miroitrem","Mirywin","Moilgrin","Mubard","Myd","Naretram","Naudfrid","Naywyth","Neab","Neg","Neich","Noa","Noidan","Norebard","Norev","Nowan","Nydalewyth","Nydaucred","Nydayseth","Nydeannor","Nyderaa","Nyderaldan","Nyderiwyth","Nydigobard","Nydiresean","Nydocan","Ocach","Ocae","Ocaegord","Ocaliran","Ocaodric","Ocardobard","Ocareb","Ocarebard","Ocayld","Ocaysean","Oceader","Ocerav","Ocerinn","Ocerith","Ocietlan","Ocigodan","Ociragord","Ocirap","Ocirav","Ocoacan","Olareldan","Olauder","Olauth","Olelif","Olendadan","Olerra","Oli","Oliliwyn","Olirannor","Oloemas","Oloresean","Olynwan","Olytha","Olyw","Onale","Onaliw","Onaunnon","Onautlan","Onawyr","Onea","Oneas","Onemos","Onerraldan","Onilil","Onilis","Oniraron","Oniredon","Onireld","Onoresean","Onyl","Onyldric","Onynwan","Paeron","Pali","Pay","Paywyr","Peramma","Pigan","Pila","Pilidfrid","Pirad","Poatha","Ponyth","Praemar","Praewin","Praldan","Pran","Praoseth","Praywyr","Prendas","Priap","Prigodon","Prilar","Priodric","Prion","Priwyn","Proaloth","Pruran","Ra","Raaold","Raatlan","Raemar","Raemma","Raendaron","Raeriand","Railif","Raiomar","Raiosh","Raodus","Raoidan","Raoimma","Rardoder","Raul","Rawyn","Reap","Reli","Rendagan","Reram","Rheigan","Rhialath","Rhiard","Rhieldan","Rhilaldric","Rhilili","Rhiram","Rhoictred","Riand","Rien","Riranyth","Rirewyn","Ry","Sae","Saetha","Saredan","Seab","Seand","Selath","Sendawyth","Serab","Serral","Sevalip","Sevaumos","Seveagan","Sevelacan","Seveldric","Severigan","Severranwan","Seviebaen","Seviocan","Sevirel","Siep","Sier","Sind","Siracan","Sit","Skalilin","Skardonyth","Skaymar","Skeabaen","Skei","Sketha","Skila","Skod","Skoetram","Soif","Soitha","Sored","Teadon","Teamond","Telimos","Ten","Thalegan","Thalenydd","Thardoseth","Thauctred","Thauth","Theiand","Theinad","Theliwyr","Thendadric","Thendaw","Therach","Therrawyr","Thiaf","Thiard","Thiatram","Thiawyn","Thigonwan","Thiliwyr","Thimond","Thira","Thirawyn","Thobwyn","Thoebaen","Thoiwyn","Thuwin","Toer","Tolin","Traemos","Tralinwan","Tralitrem","Trareran","Trayth","Treav","Trera","Trericred","Trerracon","Trerracred","Triawyr","Trigoloth","Triractred","Troemar","Trorewyr","Trunn","Vaectred","Valiand","Veag","Veitha","Velamma","Velib","Vianwan","Viec","Vigodan","Vigot","Vilar","Viraseth","Viratlan","Vith","Vodan","Voeder","Vywyth","Wadfrid","Waedric","Waedus","Waleb","Walet","Waletram","Walil","Waot","Waum","Waylath","Waytlan","Wea","Weawyn","Weidfrid","Welap","Wer","Werard","Werrawin","Wial","Wicael","Wicaoand","Wicardor","Wicayldan","Wiceinn","Wicelawyth","Wicigotha","Wicilalin","Wicild","Wicilictred","Wicoawin","Wigold","Wiramond","Wiretrem","Witha","Witram","Wo","Woagord","Woigan","Woitram","Woregan","Yab","Yae","Yalenad","Yardomma","Yardowyth","Ybalecon","Ybaocred","Ybaseth","Ybaygan","Ybeatha","Ybeder","Ybeiwyr","Ybie","Ybiedus","Ybiowan","Ybiradric","Ybiralgrin","Ybireb","Ybuf","Yeliseth","Yerimos","Yilalath","Yilap","Yilitram","Yiobaen","Yirevudd","Yoa","Yoath","Yoish","Yorev","Yuw","Yymma","Yynnor","Yytrem","Zaewyn","Zalin","Zayl","Zayn","Zelawin","Zerin","Zerinnor","Zerir","Zerraw","Ziedan","Zilald","Zilgrin","Zililath","Zirawyth","Zoinydd","Zoiw","Zoiwyr","Zycan","Cherra","Gwoinnor","Wicaoa","Zaurd"]

# Returns a random unique name not found in the global mercenary pool
def getRandomMercenaryName():

	mercenaryName = ""
	
	# return any name if the global mercenary pool does not exist
	if(sdEntityExists("Mercenaries Mod","MercenaryData") == False):
		return mercenaryFirstNames[gc.getGame().getMapRand().get(len(mercenaryFirstNames), "Random Name")] + " " + mercenaryLastNames[gc.getGame().getMapRand().get(len(mercenaryLastNames), "Random Name")]
	
	mercenaries = sdGetVal("Mercenaries Mod", "MercenaryData", "MercenaryNames")

	firstName = mercenaryFirstNames[gc.getGame().getMapRand().get(len(mercenaryFirstNames), "Random Name")]
	lastName = mercenaryLastNames[gc.getGame().getMapRand().get(len(mercenaryLastNames), "Random Name")]

	mercenaryName = firstName + " " + lastName

	if(len(mercenaryName) < 14):
		middleName = mercenaryMiddleNames[gc.getGame().getMapRand().get(len(mercenaryMiddleNames), "Random Name")]
		mercenaryName = firstName + " " + middleName + " " + lastName
		
	# Keep trying to get a name until we get a unique one.
	while(mercenaries.has_key(mercenaryName)):
		firstName = mercenaryFirstNames[gc.getGame().getMapRand().get(len(mercenaryFirstNames), "Random Name")]
		lastName = mercenaryLastNames[gc.getGame().getMapRand().get(len(mercenaryLastNames), "Random Name")]

		mercenaryName = firstName + " " + lastName

		if(len(mercenaryName) < 14):
			middleName = mercenaryMiddleNames[gc.getGame().getMapRand().get(len(mercenaryMiddleNames), "Random Name")]
			mercenaryName = firstName + " " + middleName + " " + lastName

	return mercenaryName
	
